<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:saxon="http://saxon.sf.net/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:s="http://www.w3.org/2003/05/soap-envelope" xmlns:wsa="http://www.w3.org/2005/08/addressing" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:function="http://ato.gov.au/SWSFunctions" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:ref="http://www.xbrl.org/2006/ref" xmlns:iso4217="http://www.xbrl.org/2003/iso4217" xmlns:xmime="http://www.w3.org/2005/05/xmlmime" xmlns:service="http://sbr.gov.au/comn/list.02.service" xmlns:sbdh="http://sbr.gov.au/comn/sbdm.02.data" xmlns:core="http://sbr.gov.au/comn/core.02.data" xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:tech.01.03="http://sbr.gov.au/fdtn/sbr.01.03.tech" xmlns:pyde.02.01="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data" xmlns:dtyp.02.15="http://sbr.gov.au/fdtn/sbr.02.15.dtyp" xmlns:pyde.02.08="http://sbr.gov.au/icls/py/pyde/pyde.02.08.data" xmlns:tech.01.02="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" xmlns:pyid.02.03="http://sbr.gov.au/icls/py/pyid/pyid.02.03.data" xmlns:dtyp.02.03="http://sbr.gov.au/fdtn/sbr.02.03.dtyp" xmlns:dtyp.02.13="http://sbr.gov.au/fdtn/sbr.02.13.dtyp" xmlns:dtyp.02.09="http://sbr.gov.au/fdtn/sbr.02.09.dtyp" xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" xmlns:emsup.02.03="http://sbr.gov.au/icls/em/emsup/emsup.02.03.data" xmlns:dtyp.02.00="http://sbr.gov.au/fdtn/sbr.02.00.dtyp" xmlns:pyin.02.14="http://sbr.gov.au/icls/py/pyin/pyin.02.14.data" xmlns:pyde.02.10="http://sbr.gov.au/icls/py/pyde/pyde.02.10.data" xmlns:pyde.02.12="http://sbr.gov.au/icls/py/pyde/pyde.02.12.data" xmlns:pyde.02.18="http://sbr.gov.au/icls/py/pyde/pyde.02.18.data" xmlns:rvctc3.02.20="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.20.data" xmlns:RprtPyType.02.06="http://sbr.gov.au/dims/RprtPyType.02.06.dims" xmlns:ReportingPartyABN.02.00_typedelement="http://sbr.gov.au/dims/ReportingPartyABN.02.00.dims" version="2.0">
  <!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->


  <!--PHASES-->


  <!--PROLOG-->
  <xsl:import xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" href="CU201602Validator_Functions.xsl"/>
  <xsl:variable xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-uri">
    <xsl:value-of select="document-uri(/)"/>
  </xsl:variable>
  <xsl:variable name="Apostrophe">'</xsl:variable>
  <xsl:output xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" method="xml" omit-xml-declaration="no" standalone="yes" indent="no"/>
  <xsl:param xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-id"/>

  <!--XSD TYPES FOR XSLT2-->


  <!--KEYS AND FUNCTIONS-->
  <xsl:key name="facts" match="xbrli:xbrl/*[@contextRef and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),'GEN')"/>
  <xsl:key name="RPfacts" match="xbrli:xbrl/*[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),'RP')"/>
  <xsl:key name="RPPREVfacts" match="xbrli:xbrl/*[@contextRef=$RPPREV.ContextId and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),'RPPREV')"/>
  <xsl:key name="RPCURRfacts" match="xbrli:xbrl/*[@contextRef=$RPCURR.ContextId and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),'RPCURR')"/>
  <xsl:key name="INTfacts" match="xbrli:xbrl/*[@contextRef=$INT.ContextId and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),'INT')"/>

  <!--DEFAULT RULES-->


  <!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
  <!--This mode can be used to generate an ugly though full XPath for locators-->
  <xsl:template match="*" mode="schematron-select-full-path">
    <xsl:apply-templates select="." mode="schematron-get-full-path"/>
  </xsl:template>

  <!--MODE: SCHEMATRON-FULL-PATH-->
  <!--This mode can be used to generate an ugly though full XPath for locators-->
  <xsl:template match="*" mode="schematron-get-full-path">
    <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
    <xsl:text>/</xsl:text>
    <xsl:choose>
      <xsl:when test="namespace-uri()=''">
        <xsl:value-of select="name()"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text>*:</xsl:text>
        <xsl:value-of select="local-name()"/>
        <xsl:text>[namespace-uri()='</xsl:text>
        <xsl:value-of select="namespace-uri()"/>
        <xsl:text>']</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:variable name="preceding" select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/>
    <xsl:text>[</xsl:text>
    <xsl:value-of select="1+ $preceding"/>
    <xsl:text>]</xsl:text>
  </xsl:template>
  <xsl:template match="@*" mode="schematron-get-full-path">
    <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
    <xsl:text>/</xsl:text>
    <xsl:choose>
      <xsl:when test="namespace-uri()=''">
        @<xsl:value-of select="name()"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text>@*[local-name()='</xsl:text>
        <xsl:value-of select="local-name()"/>
        <xsl:text>' and namespace-uri()='</xsl:text>
        <xsl:value-of select="namespace-uri()"/>
        <xsl:text>']</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <!--MODE: SCHEMATRON-FULL-PATH-2-->
  <!--This mode can be used to generate prefixed XPath for humans-->
  <xsl:template match="node() | @*" mode="schematron-get-full-path-2">
    <xsl:for-each select="ancestor-or-self::*">
      <xsl:text>/</xsl:text>
      <xsl:value-of select="name(.)"/>
      <xsl:if test="preceding-sibling::*[name(.)=name(current())]">
        <xsl:text>[</xsl:text>
        <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
        <xsl:text>]</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:if test="not(self::*)">
      <xsl:text/>/@<xsl:value-of select="name(.)"/>
    </xsl:if>
  </xsl:template>
  <!--MODE: SCHEMATRON-FULL-PATH-3-->
  <!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
  <xsl:template match="node() | @*" mode="schematron-get-full-path-3">
    <xsl:for-each select="ancestor-or-self::*">
      <xsl:text>/</xsl:text>
      <xsl:value-of select="name(.)"/>
      <xsl:if test="parent::*">
        <xsl:text>[</xsl:text>
        <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
        <xsl:text>]</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:if test="not(self::*)">
      <xsl:text/>/@<xsl:value-of select="name(.)"/>
    </xsl:if>
  </xsl:template>

  <!--MODE: GENERATE-ID-FROM-PATH -->
  <xsl:template match="/" mode="generate-id-from-path"/>
  <xsl:template match="text()" mode="generate-id-from-path">
    <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
    <xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/>
  </xsl:template>
  <xsl:template match="comment()" mode="generate-id-from-path">
    <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
    <xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/>
  </xsl:template>
  <xsl:template match="processing-instruction()" mode="generate-id-from-path">
    <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
    <xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/>
  </xsl:template>
  <xsl:template match="@*" mode="generate-id-from-path">
    <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
    <xsl:value-of select="concat('.@', name())"/>
  </xsl:template>
  <xsl:template match="*" mode="generate-id-from-path" priority="-0.5">
    <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
    <xsl:text>.</xsl:text>
    <xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/>
  </xsl:template>

  <!--MODE: GENERATE-ID-2 -->
  <xsl:template match="/" mode="generate-id-2">U</xsl:template>
  <xsl:template match="*" mode="generate-id-2" priority="2">
    <xsl:text>U</xsl:text>
    <xsl:number level="multiple" count="*"/>
  </xsl:template>
  <xsl:template match="node()" mode="generate-id-2">
    <xsl:text>U.</xsl:text>
    <xsl:number level="multiple" count="*"/>
    <xsl:text>n</xsl:text>
    <xsl:number count="node()"/>
  </xsl:template>
  <xsl:template match="@*" mode="generate-id-2">
    <xsl:text>U.</xsl:text>
    <xsl:number level="multiple" count="*"/>
    <xsl:text>_</xsl:text>
    <xsl:value-of select="string-length(local-name(.))"/>
    <xsl:text>_</xsl:text>
    <xsl:value-of select="translate(name(),':','.')"/>
  </xsl:template>
  <!--Strip characters-->
  <xsl:template match="text()" priority="-1"/>

  <!--SCHEMA SETUP-->
  <xsl:template match="/">
    <xsl:variable xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="results">
      <xsl:apply-templates select="/" mode="M47"/>
      <xsl:apply-templates select="/" mode="M48"/>
      <xsl:apply-templates select="/" mode="M49"/>
      <xsl:apply-templates select="/" mode="M50"/>
      <xsl:apply-templates select="/" mode="M51"/>
      <xsl:apply-templates select="/" mode="M52"/>
      <xsl:apply-templates select="/" mode="M54"/>
      <xsl:apply-templates select="/" mode="M55"/>
      <xsl:apply-templates select="/" mode="M56"/>
      <xsl:apply-templates select="/" mode="M57"/>
      <xsl:apply-templates select="/" mode="M58"/>
      <xsl:apply-templates select="/" mode="M59"/>
    </xsl:variable>
    <xsl:if xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" test="$results">
      <xsl:element name="tns:Event" namespace="http://sbr.gov.au/comn/event.02.data" inherit-namespaces="no">
        <xsl:element name="tns:MaximumSeverity.Code">
          <xsl:choose>
            <xsl:when test="$results//tns:Severity.Code[.='Error']">Error</xsl:when>
            <xsl:when test="$results//tns:Severity.Code[.='Partial']">Partial</xsl:when>
            <xsl:when test="$results//tns:Severity.Code[.='Warning']">Warning</xsl:when>
            <xsl:when test="$results//tns:Severity.Code[.='Information']">Information</xsl:when>
            <xsl:when test="$results//tns:Severity.Code[.='Progressive']">Progressive</xsl:when>
            <xsl:otherwise>Information</xsl:otherwise>
          </xsl:choose>
        </xsl:element>
        <xsl:element name="tns:EventItems">
          <xsl:if test="not($results//tns:Severity.Code[.='Error'] or  $results//tns:Severity.Code[.='Partial'])">
            <xsl:element name="tns:EventItem">
              <xsl:element name="tns:Error.Code">CMN.ATO.GEN.OK</xsl:element>
              <xsl:element name="tns:Severity.Code">Information</xsl:element>
              <xsl:element name="tns:Short.Description">Message accepted</xsl:element>
              <xsl:element name="tns:Locations">
                <xsl:element name="tns:Location">
                  <xsl:element name="tns:Location.Instance.Identifier">
                    <xsl:value-of select="$document-id"/>
                  </xsl:element>
                </xsl:element>
              </xsl:element>
            </xsl:element>
          </xsl:if>
          <xsl:copy-of copy-namespaces="no" select="$results"/>
        </xsl:element>
      </xsl:element>
    </xsl:if>
  </xsl:template>

  <!--SCHEMATRON PATTERNS-->


  <!--
                PATTERN VariablesXBRL variables that are applicable accross all of the TD services.-->
  <xsl:variable name="RP.Context" select="xbrli:xbrl/xbrli:context[                                            ./xbrli:period/xbrli:startDate                                            and ./xbrli:period/xbrli:endDate                                           and ./xbrli:entity/                                           xbrli:segment[count(./xbrldi:explicitMember) = 1 and count(./xbrldi:typedMember) = 0]/                                            xbrldi:explicitMember                                           [                                               matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                               and                                                matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                                                                          ]                                           and                                           count(xbrli:period/xbrli:startDate) = 1                                     ]"/>
  <xsl:variable name="RP.ContextId" select="$RP.Context/@id"/>
  <xsl:variable name="INT.Context" select="xbrli:xbrl/xbrli:context[                                            ./xbrli:period/xbrli:startDate                                            and ./xbrli:period/xbrli:endDate                                           and ./xbrli:entity/                                           xbrli:segment[count(./xbrldi:explicitMember) = 1]/                                            xbrldi:explicitMember                                           [                                               matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                               and                                                matches(.,'^RprtPyType\.\d{2}\.\d{2}:Intermediary$')                                                                          ]                                     ]"/>
  <xsl:variable name="INT.ContextId" select="$INT.Context/@id"/>
  <xsl:variable name="currentContextId" select="xbrli:xbrl/xbrli:context/@id"/>
  <xsl:variable name="identifiersAustralianBusinessNumberIdentifier" select="key('facts', concat('Identifiers.AustralianBusinessNumber.Identifier', 'GEN'))"/>
  <xsl:variable name="organisationNameDetailsOrganisationalNameText" select="key('facts', concat('OrganisationNameDetails.OrganisationalName.Text', 'GEN'))"/>
  <xsl:variable name="taxRoleTypeCode" select="key('facts', concat('Tax.RoleType.Code', 'GEN'))"/>
  <xsl:variable name="personNameDetailsFamilyNameText" select="key('facts', concat('PersonNameDetails.FamilyName.Text', 'GEN'))"/>
  <xsl:variable name="personNameDetailsGivenNameText" select="key('facts', concat('PersonNameDetails.GivenName.Text', 'GEN'))"/>
  <xsl:variable name="personDemographicDetailsBirthDate" select="key('facts', concat('PersonDemographicDetails.Birth.Date', 'GEN'))"/>
  <xsl:variable name="personDemographicDetailsSexCode" select="key('facts', concat('PersonDemographicDetails.Sex.Code', 'GEN'))"/>
  <xsl:variable name="identifiersTaxAgentNumberIdentifier" select="key('facts', concat('Identifiers.TaxAgentNumber.Identifier', 'GEN'))"/>
  <xsl:template match="text()" priority="-1" mode="M47"/>
  <xsl:template match="@*|node()" priority="-2" mode="M47">
    <xsl:apply-templates select="*" mode="M47"/>
  </xsl:template>

  <!--
                PATTERN ContextValidations for contexts that are applicable accross all of the CU services.-->


  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1001" mode="M48">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         count($RP.Context) != 1                       )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.430296</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Invalid context. The number of Reporting party contexts must equal 1</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.000209</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/xbrli:context</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M48"/>
  </xsl:template>

  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M48">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         . = $RP.Context                         and                          $personDemographicDetailsBirthDate[not(@i:nil='true' or @i:nil='1') and string-length(.) &gt; 0]                         and                         function:IsDate1GreaterThanDate2($personDemographicDetailsBirthDate[1], xbrli:period/xbrli:startDate)                       )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500012</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Date of birth must be prior to the form submission start date</tns:Short.Description>
          <tns:Detailed.Description>The date entered is a future date. Date of birth cannot be any day in advance of the form submission start date.</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500012</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:variable name="startDate" select="xbrli:period/xbrli:startDate"/>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         preceding-sibling::xbrli:context/xbrli:period/xbrli:startDate[. != $startDate]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500030</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Invalid context. Period start date must be the same across all duration contexts.</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500030</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         xbrli:period/xbrli:endDate[. != $startDate]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500034</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Invalid context. Period start date must be the same as the Period end date for this form.</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500034</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $startDate[function:IsDate1GreaterThanDate2(., current-date())]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500035</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Invalid context. Period start date cannot be any day in the future.</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500035</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M48"/>
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M48"/>
  <xsl:template match="@*|node()" priority="-2" mode="M48">
    <xsl:apply-templates select="*" mode="M48"/>
  </xsl:template>

  <!--
                PATTERN FieldPatternsField Pattern Validations-->


  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1002" mode="M49">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="matches(.,'^(.*)[a-zA-Z0-9](.*)$')"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.410039</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Organisation name must contain at least one alpha or numeric character</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.410039</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         matches(.,'^(.*) - (.*)$')                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.000413</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Non Individual Name cannot contain space hyphen space combinations</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.428258</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         matches(.,'[{}|_\\#]')                     )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500023</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Non-Individual Name contains invalid text</tns:Short.Description>
          <tns:Detailed.Description>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = ; : ' " , . ? / or a space character.</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500023</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M49"/>
  </xsl:template>

  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl/pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1001" mode="M49">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="matches(.,'^(.*)[a-zA-Z](.*)$')"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.410040</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Family name must contain at least one alphabetical character</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.410040</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(matches(.,'^(.*) - (.*)$'))"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.000423</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Family Name cannot contain "space hyphen space"</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.428262</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         matches(.,'^(.*)(--|('')('')|  )(.*)$')                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.000427</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Family name cannot contain repeated hyphen, apostrophe, or space characters</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.428263</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         matches(.,'[{}|_\\#]')                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500024</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Individual Family name contains invalid text</tns:Short.Description>
          <tns:Detailed.Description>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &amp; * ( ) - = ; : ' " , . ? / or a space character.</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500024</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M49"/>
  </xsl:template>

  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl/pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1000" mode="M49">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(matches(.,'[{}|_\\#]'))"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500025</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Individual First given name contains invalid text</tns:Short.Description>
          <tns:Detailed.Description>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &amp; * ( ) - = ; : ' " , . ? / or a space character.</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500025</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                           matches(.,'^(.*)(--|('')('')|  )(.*)$')                       )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.000439</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>First name cannot contain repeated hyphen, apostrophe, or space characters</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.428265</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(matches(.,'^(.*) - (.*)$'))"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.000434</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>First name cannot contain space hyphen space</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.428264</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         not(matches(.,'^[a-zA-Z](.*)$', 'i'))                                                 )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.436001</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>An individual's first name must begin with an alpha character in the range 'A to Z' or 'a to z'</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.436001</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M49"/>
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M49"/>
  <xsl:template match="@*|node()" priority="-2" mode="M49">
    <xsl:apply-templates select="*" mode="M49"/>
  </xsl:template>

  <!--
                PATTERN FieldPatternsField Lengths Validations-->


  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl/pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1001" mode="M50">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         string-length(.) &gt; 30                       )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500016</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Individual Family name must not exceed 30 characters</tns:Short.Description>
          <tns:Detailed.Description>For Individual Family name, the maximum allowable characters for this form is 30</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500016</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M50"/>
  </xsl:template>

  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl/pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1000" mode="M50">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         string-length(.) &gt; 15                       )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500017</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Individual First given name must not exceed 15 characters</tns:Short.Description>
          <tns:Detailed.Description>For Individual First given name, the maximum allowable characters for this form is 15</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500017</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M50"/>
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M50"/>
  <xsl:template match="@*|node()" priority="-2" mode="M50">
    <xsl:apply-templates select="*" mode="M50"/>
  </xsl:template>

  <!--
                PATTERN ContentContent Validations-->


  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1005" mode="M51">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         count($taxRoleTypeCode) &gt; 1                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500001</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>The maximum number of Role Types permitted is 1</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500001</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:Tax.RoleType.Code</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M51"/>
  </xsl:template>

  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1004" mode="M51">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                           not(function:ValidateABN(.))                          )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.000477</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>ABN is invalid</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.434223</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M51"/>
  </xsl:template>

  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1003" mode="M51">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         matches(.,'^(T/A )(.*)$', 'i')                          and                          matches(.,'^(.*)( Pship| P''ship| P/ship)$', 'i')                        )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.410038</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Non-individual name field cannot start with 'T/A' and end with 'Pship, P'ship or P/Ship'</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.410038</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>


    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         matches(.,'^(.*)(P/L)(.*)$')                       )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.000414</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Non Individual Name cannot contain "P/L"</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.428259</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         matches(.,'^(.*)( T/A| T/A Pship| T/A P''ship| T/A P/ship| T/A Partnership)$', 'i')                        )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.000417</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Non Individual Name cannot end with "T/A", "T/A P'ship", "T/A Pship", "T/A P/Ship" or "T/A Partnership"</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.428261</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M51"/>
  </xsl:template>

  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl/pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1002" mode="M51">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                          matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or                          matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or                          matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or                          matches(.,'^(Exec for|Rep for|Trustee for)$','i')                                   )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.000424</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Family name cannot contain "Exec for", "Rep for" or "Trustee for"</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.410200</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or                         matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or                         matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or                         matches(.,'^(MR|MRS|MISS|MS)$','i')                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.000426</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Family name cannot contain "MR", "MRS", "MISS" or "MS"</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.410201</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or                         matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or                         matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or                         matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')                                              )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.000422</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Family name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.428231</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M51"/>
  </xsl:template>

  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl/pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1001" mode="M51">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or                         matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or                         matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or                         matches(.,'^(Exec for|Rep for|Trustee for)$','i')                                   )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.000437</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>First name cannot contain "Exec for", "Rep for" or "Trustee for"</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.410203</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or                         matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or                         matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or                         matches(.,'^(MR|MRS|MISS|MS)$','i')                                              )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.000438</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>First name cannot contain "MR", "MRS", "MISS" or "MS"</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.410204</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                           matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or                           matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or                           matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or                           matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.000436</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>First name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.410202</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M51"/>
  </xsl:template>

  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl/pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M51">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         not(function:ValidateTAN(.))                       )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.410009</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>The Tax Agent number has failed the Tax Agent number algorithm check</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.428247</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M51"/>
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M51"/>
  <xsl:template match="@*|node()" priority="-2" mode="M51">
    <xsl:apply-templates select="*" mode="M51"/>
  </xsl:template>

  <!--
                PATTERN WarningsValidations for warnings that are applicable accross all CU services.-->
  <xsl:template match="text()" priority="-1" mode="M52"/>
  <xsl:template match="@*|node()" priority="-2" mode="M52">
    <xsl:apply-templates select="*" mode="M52"/>
  </xsl:template>

  <!--
                PATTERN VariablesXBRL variables that are applicable accross all of the TD services.-->
  <xsl:variable name="RPPREV.Context" select="//xbrli:xbrl/xbrli:context[                                        ./xbrli:period/xbrli:startDate                                        and ./xbrli:period/xbrli:endDate                                       and ./xbrli:entity/                                       xbrli:segment[                                                       count(./xbrldi:explicitMember) = 2 and                                                       count(xbrldi:explicitMember[ends-with(@dimension, 'DataCurrencyDimension') and ends-with(., 'Previous')]) and                                                       count(xbrldi:explicitMember[ends-with(@dimension, 'ReportPartyTypeDimension') and ends-with(., 'ReportingParty')])                                                    ]                                     ]"/>
  <xsl:variable name="RPPREV.ContextId" select="$RPPREV.Context/@id"/>
  <xsl:variable name="RPCURR.Context" select="//xbrli:xbrl/xbrli:context[                                        ./xbrli:period/xbrli:startDate                                        and ./xbrli:period/xbrli:endDate                                       and ./xbrli:entity/                                       xbrli:segment[                                                       count(./xbrldi:explicitMember) = 2 and                                                       count(xbrldi:explicitMember[ends-with(@dimension, 'DataCurrencyDimension') and ends-with(., 'Current')]) and                                                       count(xbrldi:explicitMember[ends-with(@dimension, 'ReportPartyTypeDimension') and ends-with(., 'ReportingParty')])                                                    ]                                     ]"/>
  <xsl:variable name="RPCURR.ContextId" select="$RPCURR.Context/@id"/>
  <xsl:variable name="cudtl17" select="key('RPfacts', concat('Identifiers.AustralianBusinessNumber.Identifier', 'RP'))"/>
  <xsl:variable name="cudtl12" select="key('RPPREVfacts', concat('PersonNameDetails.FamilyName.Text', 'RPPREV'))"/>
  <xsl:variable name="cudtl14" select="key('RPPREVfacts', concat('PersonNameDetails.GivenName.Text', 'RPPREV'))"/>
  <xsl:variable name="cudtl16" select="key('RPPREVfacts', concat('OrganisationNameDetails.OrganisationalName.Text', 'RPPREV'))"/>
  <xsl:variable name="cudtl27" select="key('RPPREVfacts', concat('PersonDemographicDetails.Birth.Date', 'RPPREV'))"/>
  <xsl:variable name="cudtl28" select="key('RPPREVfacts', concat('PersonDemographicDetails.Sex.Code', 'RPPREV'))"/>
  <xsl:variable name="cudtl18" select="key('RPCURRfacts', concat('OrganisationNameDetails.OrganisationalName.Text', 'RPCURR'))"/>
  <xsl:variable name="cudtl19" select="key('RPCURRfacts', concat('PersonNameDetails.Title.Text', 'RPCURR'))"/>
  <xsl:variable name="cudtl20" select="key('RPCURRfacts', concat('PersonNameDetails.FamilyName.Text', 'RPCURR'))"/>
  <xsl:variable name="cudtl21" select="key('RPCURRfacts', concat('PersonNameDetails.GivenName.Text', 'RPCURR'))"/>
  <xsl:variable name="cudtl22" select="key('RPCURRfacts', concat('PersonNameDetails.OtherGivenName.Text', 'RPCURR'))"/>
  <xsl:variable name="cudtl23" select="key('RPCURRfacts', concat('PersonNameDetails.NameSuffix.Text', 'RPCURR'))"/>
  <xsl:variable name="cudtl25" select="key('RPCURRfacts', concat('PersonDemographicDetails.Deceased.Indicator', 'RPCURR'))"/>
  <xsl:variable name="cudtl26" select="key('RPCURRfacts', concat('PersonDemographicDetails.Death.Date', 'RPCURR'))"/>
  <xsl:variable name="cudtl30" select="key('INTfacts', concat('Identifiers.TaxAgentNumber.Identifier', 'INT'))"/>
  <xsl:template match="text()" priority="-1" mode="M54"/>
  <xsl:template match="@*|node()" priority="-2" mode="M54">
    <xsl:apply-templates select="*" mode="M54"/>
  </xsl:template>

  <!--
                PATTERN ContentContent Validations-->


  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M55">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                        (                              $cudtl16[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]                               or                              $cudtl18[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]                         )                     and                         (                               $cudtl19[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0] or                               $cudtl20[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0] or                        $cudtl21[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0] or                        $cudtl22[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0] or                        $cudtl23[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0] or                               $cudtl25[not(@i:nil='true' or @i:nil='1')] or                               $cudtl26[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0] or                        $cudtl27[not(@i:nil='true' or @i:nil='1')]                             )                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUDTL.000071</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Individual and Non-individual details are both present. Only individual or non-individual name details may be present.</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUDTL.000071</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                        (                          not($cudtl16[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ])                           or                          not($cudtl18[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ])                          )                    and                          (                                                              not($cudtl12[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) or                               not($cudtl25[not(@i:nil='true' or @i:nil='1')]) or                               not($cudtl27[not(@i:nil='true' or @i:nil='1')])                             )                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUDTL.000081</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Individual or Non-individual details must be provided</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUDTL.000081</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cudtl26[not(@i:nil='true')]                         and                          (                           not($cudtl25[not(@i:nil='true')]) or                           $cudtl25 = 'false'                         )                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500043</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Deceased Indicator must be set if Date of Death is present</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500043</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/pyde.02.00:PersonDemographicDetails.Deceased.Indicator</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                             xbrli:context[@id = $RP.ContextId]/xbrli:entity/xbrli:identifier                           [                                 matches(@scheme,'^http://www.abr.gov.au/abn$')                           ]                           and                           (                                 not($cudtl17[not(@i:nil='true' or @i:nil='1') or string-length(.) != 0])                                 or                                 xbrli:context[@id = $RP.ContextId]/xbrli:entity/xbrli:identifier                                 [                                       string-length(.) != 0                                        and                                        . != $cudtl17                                 ]                           )                        )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500123</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Reporting Party Australian Business Number mismatch</tns:Short.Description>
          <tns:Detailed.Description>Reporting Party Australian Business Number Entity Identifier must match the Reporting Party Australian Business Number Fact</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500123</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M55"/>
  </xsl:template>

  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl/pyde.02.00:PersonDemographicDetails.Death.Date[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1000" mode="M55">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cudtl27[1]                         and                         function:IsDate1GreaterThanDate2($cudtl27[1], .)                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUDTL.000045</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Date of Birth must be prior to Date of Death</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUDTL.000045</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M55"/>
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M55"/>
  <xsl:template match="@*|node()" priority="-2" mode="M55">
    <xsl:apply-templates select="*" mode="M55"/>
  </xsl:template>

  <!--
                PATTERN ContextValidations for contexts that are applicable accross all of the CU services.-->


  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1002" mode="M56">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                          xbrli:context/xbrli:entity                          [                              xbrli:identifier                              [                                  not(matches(@scheme,'^http://www.ato.gov.au/tfn$'))                                  and                                   not(matches(@scheme,'^http://www.abr.gov.au/abn$'))                              ]                              and                                xbrli:segment/xbrldi:explicitMember                              [                                  ends-with(@dimension, 'DataCurrencyDimension') and ends-with(., 'Previous')                              ]                          ]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUDTL.000035</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Scheme for ReportingParty.Previous is incorrect</tns:Short.Description>
          <tns:Detailed.Description>Scheme for ReportingParty.Previous must be set to "http://www.ato.gov.au/tfn" or "http://www.abr.gov.au/abn"</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUDTL.000035</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/xbrli:entity/xbrli:identifier</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                          xbrli:context/xbrli:entity                          [                              xbrli:identifier                              [                                  not(matches(@scheme,'^http://www.ato.gov.au/tfn$'))                                  and                                   not(matches(@scheme,'^http://www.abr.gov.au/abn$'))                              ]                              and                               xbrli:segment/xbrldi:explicitMember                              [                                  ends-with(@dimension, 'DataCurrencyDimension') and ends-with(., 'Current')                              ]                          ]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUDTL.000036</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Scheme for ReportingParty.Current is incorrect</tns:Short.Description>
          <tns:Detailed.Description>Scheme for ReportingParty.Current must be set to "http://www.ato.gov.au/tfn" or "http://www.abr.gov.au/abn"</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUDTL.000036</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/xbrli:entity/xbrli:identifier</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                             $RP.Context                             and                             xbrli:context[@id = $RP.ContextId]/xbrli:entity/xbrli:identifier                             [                                 not(matches(@scheme,'^http://www.ato.gov.au/tfn$'))                                 and                                  not(matches(@scheme,'^http://www.abr.gov.au/abn$'))                             ]                       )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500124</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Entity Identifier Scheme must be provided</tns:Short.Description>
          <tns:Detailed.Description>Entity identifier scheme for ReportingParty must be "http://www.ato.gov.au/tfn" or "http://www.abr.gov.au/abn"</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500124</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/xbrli:entity/xbrli:identifier</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                                                $RP.Context/xbrli:entity/xbrli:identifier                         [                             upper-case(@scheme) = 'HTTP://WWW.ABR.GOV.AU/ABN'                             and                              string-length(.) != 0                             and                              not(function:ValidateABN(.))                         ]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUDTL.000053</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>ABN is invalid</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUDTL.000053</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/xbrli:entity/xbrli:identifier</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                             $INT.Context                             and                             xbrli:context[@id = $INT.ContextId]/xbrli:entity/xbrli:identifier                             [                                                             not(matches(@scheme,'^http://www.abr.gov.au/abn$'))                             ]                                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.438039</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Entity identifier scheme for Intermediary must be "http://www.abr.gov.au/abn"</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.438039</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/xbrli:entity/xbrli:identifier</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                                                $INT.Context/xbrli:entity/xbrli:identifier                         [                             upper-case(@scheme) = 'HTTP://WWW.ABR.GOV.AU/ABN'                             and                              string-length(.) != 0                             and                              not(function:ValidateABN(.))                         ]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.200011</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Invalid ABN</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.428253</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         count($INT.Context) &gt; 1                       )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.436280</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Invalid context. The number of Intermediary contexts must not exceed 1</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.000227</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/xbrli:context</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M56"/>
  </xsl:template>

  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1') and @id = $RP.ContextId]/xbrli:period[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M56">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                                                 $cudtl26[1]                         and                          function:IsDate1GreaterThanDate2($cudtl26[1], xbrli:endDate)                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500048</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Date of death must be prior to the form submission end date</tns:Short.Description>
          <tns:Detailed.Description>The date entered is a future date. Date of death cannot be any day in advance of the form submission end date.</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500048</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M56"/>
  </xsl:template>

  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M56">
    <xsl:variable name="currentRPTFN" select="$RP.Context/xbrli:entity/xbrli:identifier"/>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         xbrli:entity/xbrli:identifier[upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN']                         and                         xbrli:entity/xbrli:identifier[upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN'] != $currentRPTFN                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.001023</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Unexpected TFN mismatch with Reporting Party</tns:Short.Description>
          <tns:Detailed.Description>TFN in entity identifier of context does not match the TFN provided for the Reporting Party</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.001023</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                                                xbrli:entity/xbrli:identifier[upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN'                         and                          string-length(.) != 0                         and                          not(function:ValidateTFN(.))]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500009</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Reporting Party Tax File Number has failed the algorithm check</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500009</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         xbrli:entity/xbrli:segment/xbrldi:explicitMember                         [                             matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                             and                              matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                         ]                         and                         xbrli:entity/xbrli:identifier/@scheme != $RP.Context/xbrli:entity/xbrli:identifier/@scheme                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUDTL.000060</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Unexpected Scheme mismatch with Reporting Party</tns:Short.Description>
          <tns:Detailed.Description>Scheme in entity identifier of context does not match the Scheme provided for the Reporting Party</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUDTL.000060</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         xbrli:entity/xbrli:segment/xbrldi:explicitMember                         [                             matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                             and                              matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                         ]                         and                         $RP.Context/xbrli:entity/xbrli:identifier/@scheme = 'http://www.abr.gov.au/abn'                         and                         xbrli:entity/xbrli:identifier/@scheme = $RP.Context/xbrli:entity/xbrli:identifier/@scheme                         and                         xbrli:entity/xbrli:identifier != $RP.Context/xbrli:entity/xbrli:identifier                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUDTL.000061</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Unexpected ABN mismatch with Reporting Party</tns:Short.Description>
          <tns:Detailed.Description>ABN in entity identifier of context does not match the ABN provided for the Reporting Party</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUDTL.000061</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M56"/>
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M56"/>
  <xsl:template match="@*|node()" priority="-2" mode="M56">
    <xsl:apply-templates select="*" mode="M56"/>
  </xsl:template>

  <!--
                PATTERN FieldPatternsField Lengths Validations-->
  <xsl:template match="text()" priority="-1" mode="M57"/>
  <xsl:template match="@*|node()" priority="-2" mode="M57">
    <xsl:apply-templates select="*" mode="M57"/>
  </xsl:template>

  <!--
                PATTERN FieldPatternsField Pattern Validations-->
  <xsl:template match="text()" priority="-1" mode="M58"/>
  <xsl:template match="@*|node()" priority="-2" mode="M58">
    <xsl:apply-templates select="*" mode="M58"/>
  </xsl:template>

  <!--
                PATTERN MandatoriesMandatory validation for fields that are applicable for CUDTL.-->
  <xsl:template match="text()" priority="-1" mode="M59"/>
  <xsl:template match="@*|node()" priority="-2" mode="M59">
    <xsl:apply-templates select="*" mode="M59"/>
  </xsl:template>
</xsl:stylesheet>