﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
  <title>Content Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

    <!-- Rule ID: VR.ATO.GEN.500126        
         
         IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text = NULLORBLANK) AND 
            (
              (pyde.xx.xx:PersonNameDetails.FamilyName.Text = NULLORBLANK) OR 
              (pyde.xx.xx:PersonDemographicDetails.Birth.Date = NULL)
            ) 
            RETURN VALIDATION MESSAGE
        ENDIF
        
		[curnn16] = pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
		[curnn12] = pyde.02.00:PersonNameDetails.FamilyName.Text
		[curnn27] = pyde.02.00:PersonDemographicDetails.Birth.Date
		
    -->
    <assert  id="VR.ATO.GEN.500126" diagnostics="DVR.ATO.GEN.500126"
             test="not(                            
                          not($curnn16[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                          and
                          (
                            not($curnn12[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                            or                            
                            not($curnn27[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])
                          )                         
                       )" />

    <!-- Rule ID: VR.ATO.CURNN.000043
         ELS Ref: V1924G
         
         IF ([curnn20]="Further Returns Not Necessary") AND  (count([curnn21])>1)
             RETURN VALIDATION MESSAGE
         ENDIF
         
         [curnn20] = pyin.02.00:Report.TargetFinancial.Year
         [curnn21] = pyin.02.00:Report.TargetFinancial.Year
    -->
    <assert id="VR.ATO.CURNN.000043" diagnostics="DVR.ATO.CURNN.000043"
             test="not(
                          $curnn20 = 'Further Returns Not Necessary' and count($curnn21) > 1
                        )"/>

    <!-- Rule ID: VR.ATO.CURNN.000044
         ELS Ref: V1924G
         
         IF COUNT([curnn21]) > 20
            RETURN VALIDATION MESSAGE
         ENDIF
         
         [curnn21] = pyin.02.00:Report.TargetFinancial.Year
    -->
    <assert id="VR.ATO.CURNN.000044" diagnostics="DVR.ATO.CURNN.000044"
             test="not(
                          count($curnn21) &gt; 20
                        )"/>


    <!-- Rule ID: VR.ATO.GEN.500085
         Rule ID: VR.ATO.GEN.500004
         Removed by UCT8D
    -->  

    <!-- Rule ID: VR.ATO.GEN.500123
         ELS Ref: N/A
           
        IF RP:entity.identifier.scheme = "http://www.abr.gov.au/abn" AND  
            (
                RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier = NULLORBLANK OR 
                RP:entity.identifier.ABN <> RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier
            )
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [curnn19] = pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier 
    -->
    <assert  id="VR.ATO.GEN.500123" diagnostics="DVR.ATO.GEN.500123"
     test="not(  
                          xbrli:context[@id = $RP.ContextId]/xbrli:entity/xbrli:identifier
                          [
                                matches(@scheme,'^http://www.abr.gov.au/abn$')
                          ]
                          and
                          (
                                not($curnn19[not(@i:nil='true' or @i:nil='1') or string-length(.) != 0])
                                or
                                xbrli:context[@id = $RP.ContextId]/xbrli:entity/xbrli:identifier
                                [
                                      string-length(.) != 0 
                                      and 
                                      . != $curnn19
                                ]
                          )
                       )" />
    
  </rule>

  <rule context="xbrli:xbrl/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.500086
           ELS Ref: V1926B
           
           IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK) AND 
               ((pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK OR 
                 pyde.xx.xx:PersonNameDetails.GivenName.Text <> NULLORBLANK) OR 
                 pyde.xx.xx:PersonDemographicDetails.Birth.Date <> NULL)
              RETURN VALIDATION MESSAGE
          ENDIF        
    -->
    <assert id="VR.ATO.GEN.500086" diagnostics="DVR.ATO.GEN.500086"
             test="not(
                          $curnn12[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                          or
                          $curnn14[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                          or
                          $curnn27[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]
                        )"/>

  </rule>

  <rule context="xbrli:xbrl/pyin.02.00:Report.TargetFinancial.Year[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">
    
    <!-- Rule ID: VR.ATO.CURNN.000041
         ELS Ref: V35
         
         IF ([curnn21] < 1985) OR ([curnn21] > (DATE(TODAY).year + 1)) OR (([curnn21] = DATE(TODAY).year + 1) AND (DATE(TODAY).month < 7 ))
            RETURN VALIDATION MESSAGE
         ENDIF
         
         [curnn21] = pyin.02.00:Report.TargetFinancial.Year
    -->
    <assert id="VR.ATO.CURNN.000041" diagnostics="DVR.ATO.CURNN.000041"
             test="not(
                          . &lt; 1985 
                          or 
                          . &gt; (year-from-date(current-date()) + 1)
                          or
                          (
                            . = (year-from-date(current-date()) + 1)
                            and
                            month-from-date(current-date()) &lt; 7
                          )
                        )"/>
    
  </rule>

</pattern>