﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">
    
    <!-- Rule ID: VR.ATO.GEN.500001        
        
        IF COUNT(rvctc3.xx.xx:Tax.RoleType.Code) > 1
          RETURN VALIDATION MESSAGE
        ENDIF
                
        [curel17] = rvctc3.02.17:Tax.RoleType.Code       
        
        Note:  Put this rule at the top level so only 1 error message is reported if there are more than 1 role types.
    -->
    <assert id="VR.ATO.GEN.500001" diagnostics="DVR.ATO.GEN.500001"
            test="not(
                        count($taxRoleTypeCode) > 1
                     )" />
  </rule>

  <rule context="xbrli:xbrl/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.434223
         ELS Ref: V1200
      
          IF (pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier <> NULLORBLANK) and (ABNALGORITHM(pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier) = FALSE)
            RETURN VALIDATION MESSAGE
          ENDIF
        
          [curel19] = pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifer
    -->
    <assert id="VR.ATO.GEN.434223" diagnostics="DVR.ATO.GEN.434223"
               test="not(
                          not(function:ValidateABN(.))
                         )"/>
  </rule>

  
  
  <rule context="xbrli:xbrl/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.410038
         ELS Ref: V137B
    
        IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text STARTSWITH "T/A ") AND 
           (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text ENDSWITH SET(" Pship"," P'ship"," P/ship"))
          RETURN VALIDATION MESSAGE
        ENDIF      
    -->
    <assert id="VR.ATO.GEN.410038" diagnostics="DVR.ATO.GEN.410038"
             test="not(
                        matches(.,'^(T/A )(.*)$', 'i') 
                        and 
                        matches(.,'^(.*)( Pship| P''ship| P/ship)$', 'i')
                       )"/>

    
    

    
    <!-- Rule ID: VR.ATO.GEN.428259
         ELS Ref: V137E
    
        IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS ""P/L"")
          RETURN VALIDATION MESSAGE
        ENDIF

    -->
    <assert  id="VR.ATO.GEN.428259" diagnostics="DVR.ATO.GEN.428259"
             test="not(
                        matches(.,'^(.*)(P/L)(.*)$')
                      )"></assert>


    <!-- Rule ID: VR.ATO.GEN.428261
         ELS Ref: V137D
    
        IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text ENDSWITH SET(" T/A"," T/A P'ship"," T/A Pship"," T/A P/Ship"," T/A Partnership"))
          RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert  id="VR.ATO.GEN.428261" diagnostics="DVR.ATO.GEN.428261"
             test="not(
                        matches(.,'^(.*)( T/A| T/A Pship| T/A P''ship| T/A P/ship| T/A Partnership)$', 'i')
                       )" />



   
    
    
    
  </rule>


  <rule context="xbrli:xbrl/pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.410200
           ELS Ref: V137C
    
          IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("Exec for","Rep for","Trustee for"))
            RETURN VALIDATION MESSAGE
          ENDIF        
      -->
    <assert id="VR.ATO.GEN.410200" diagnostics="DVR.ATO.GEN.410200"
            test="not(
                         matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or
                         matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or
                         matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or
                         matches(.,'^(Exec for|Rep for|Trustee for)$','i')            
                      )"/>
    
    <!-- Rule ID: VR.ATO.GEN.410201
         ELS Ref: V140
    
        IF ([curel12] = FOUND("MR","MRS","MISS","MS"))
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [curel12] = pyde.02.00:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.GEN.410201" diagnostics="DVR.ATO.GEN.410201"
            test="not(
                        matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or
                        matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or
                        matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or
                        matches(.,'^(MR|MRS|MISS|MS)$','i')
                     )"/>

    <!-- Rule ID: VR.ATO.GEN.428231
         ELS Ref: V141
         
        IF ([curel12] = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
           RETURN VALIDATION MESSAGE
        ENDIF
      
        [curel12] = pyde.02.00:PersonNameDetails.FamilyName.Text
    -->
    <assert id="VR.ATO.GEN.428231" diagnostics="DVR.ATO.GEN.428231"
            test="not(
                        matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or
                        matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or
                        matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or
                        matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')                        
                     )"/>
  </rule>

  <rule context="xbrli:xbrl/pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]">

    <!-- Rule ID: VR.ATO.GEN.410203
         ELS Ref: V137C
    
        IF ([curel14] = FOUND("Exec for","Rep for","Trustee for"))
          RETURN VALIDATION MESSAGE
        ENDIF
        
        [curel14] = pyde.02.00:PersonNameDetails.GivenName.Text
    -->
    <assert id="VR.ATO.GEN.410203" diagnostics="DVR.ATO.GEN.410203"
            test="not(
                        matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or
                        matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or
                        matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or
                        matches(.,'^(Exec for|Rep for|Trustee for)$','i')            
                      )"/>

    <!-- Rule ID: VR.ATO.GEN.410204
         ELS Ref: V140
    
        IF ([curel14] = FOUND("MR","MRS","MISS","MS"))
          RETURN VALIDATION MESSAGE
        ENDIF
      
        [curel14] = pyde.02.00:PersonNameDetails.GivenName.Text
    -->
    <assert id="VR.ATO.GEN.410204" diagnostics="DVR.ATO.GEN.410204"
            test="not(
                        matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or
                        matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or
                        matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or
                        matches(.,'^(MR|MRS|MISS|MS)$','i')                        
                     )"/>

    <!-- Rule ID: VR.ATO.GEN.410202
         ELS Ref: V141
         
        IF ([curel14] = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
           RETURN VALIDATION MESSAGE
        ENDIF
      
        [curel14] = pyde.02.00:PersonNameDetails.GivenName.Text
    -->
    <assert id="VR.ATO.GEN.410202" diagnostics="DVR.ATO.GEN.410202"
            test="not(
                          matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or
                          matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or
                          matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or
                          matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')
                     )"/>
  </rule>

  <rule context="xbrli:xbrl/pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil='true' or @i:nil='1')]">

    <!-- Rule ID: VR.ATO.GEN.428247
         ELS Ref: V21
         
        IF ((pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) <> NULLORBLANK) AND (TANALGORITHM(pyid.xx.xx:Identifiers.TaxAgentNumber.Identifier) = FALSE)
           RETURN VALIDATION MESSAGE
        ENDIF
    -->
    <assert id="VR.ATO.GEN.428247" diagnostics="DVR.ATO.GEN.428247"
            test="not(
                        not(function:ValidateTAN(.)) 
                     )"/>
  </rule>

</pattern>