<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:saxon="http://saxon.sf.net/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:s="http://www.w3.org/2003/05/soap-envelope" xmlns:wsa="http://www.w3.org/2005/08/addressing" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:function="http://ato.gov.au/SWSFunctions" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:ref="http://www.xbrl.org/2006/ref" xmlns:iso4217="http://www.xbrl.org/2003/iso4217" xmlns:xmime="http://www.w3.org/2005/05/xmlmime" xmlns:service="http://sbr.gov.au/comn/list.02.service" xmlns:sbdh="http://sbr.gov.au/comn/sbdm.02.data" xmlns:core="http://sbr.gov.au/comn/core.02.data" xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:tech.01.03="http://sbr.gov.au/fdtn/sbr.01.03.tech" xmlns:pyde.02.01="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data" xmlns:dtyp.02.15="http://sbr.gov.au/fdtn/sbr.02.15.dtyp" xmlns:pyde.02.08="http://sbr.gov.au/icls/py/pyde/pyde.02.08.data" xmlns:tech.01.02="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" xmlns:pyid.02.03="http://sbr.gov.au/icls/py/pyid/pyid.02.03.data" xmlns:dtyp.02.03="http://sbr.gov.au/fdtn/sbr.02.03.dtyp" xmlns:dtyp.02.13="http://sbr.gov.au/fdtn/sbr.02.13.dtyp" xmlns:dtyp.02.09="http://sbr.gov.au/fdtn/sbr.02.09.dtyp" xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" xmlns:emsup.02.03="http://sbr.gov.au/icls/em/emsup/emsup.02.03.data" xmlns:dtyp.02.00="http://sbr.gov.au/fdtn/sbr.02.00.dtyp" xmlns:pyin.02.00="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data" xmlns:pyin.02.14="http://sbr.gov.au/icls/py/pyin/pyin.02.14.data" xmlns:pyde.02.10="http://sbr.gov.au/icls/py/pyde/pyde.02.10.data" xmlns:pyde.02.12="http://sbr.gov.au/icls/py/pyde/pyde.02.12.data" xmlns:pyde.02.18="http://sbr.gov.au/icls/py/pyde/pyde.02.18.data" xmlns:pyde.02.21="http://sbr.gov.au/icls/py/pyde/pyde.02.21.data" xmlns:rvctc3.02.20="http://sbr.gov.au/icls/rvc/rvctc/rvctc3.02.20.data" xmlns:RprtPyType.02.06="http://sbr.gov.au/dims/RprtPyType.02.06.dims" xmlns:ReportingPartyABN.02.00_typedelement="http://sbr.gov.au/dims/ReportingPartyABN.02.00.dims" version="2.0">
  <!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->


  <!--PHASES-->


  <!--PROLOG-->
  <xsl:import xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" href="CU201602Validator_Functions.xsl"/>
  <xsl:variable xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-uri">
    <xsl:value-of select="document-uri(/)"/>
  </xsl:variable>
  <xsl:variable name="Apostrophe">'</xsl:variable>
  <xsl:output xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" method="xml" omit-xml-declaration="no" standalone="yes" indent="no"/>
  <xsl:param xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-id"/>

  <!--XSD TYPES FOR XSLT2-->


  <!--KEYS AND FUNCTIONS-->
  <xsl:key name="facts" match="xbrli:xbrl/*[@contextRef and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),'GEN')"/>
  <xsl:key name="RPfacts" match="xbrli:xbrl/*[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),'RP')"/>
  <xsl:key name="RPIfacts" match="xbrli:xbrl/*[@contextRef=$RPI.ContextId and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),'RPI')"/>
  <xsl:key name="INTfacts" match="xbrli:xbrl/*[@contextRef=$INT.ContextId and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),'INT')"/>
  <xsl:key name="INTTACfacts" match="xbrli:xbrl/*[@contextRef=$INTTAC.ContextId and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),'INTTAC')"/>
  <xsl:key name="RPTACfacts" match="xbrli:xbrl/*[@contextRef=$RPTAC.ContextId and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),'RPTAC')"/>

  <!--DEFAULT RULES-->


  <!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
  <!--This mode can be used to generate an ugly though full XPath for locators-->
  <xsl:template match="*" mode="schematron-select-full-path">
    <xsl:apply-templates select="." mode="schematron-get-full-path"/>
  </xsl:template>

  <!--MODE: SCHEMATRON-FULL-PATH-->
  <!--This mode can be used to generate an ugly though full XPath for locators-->
  <xsl:template match="*" mode="schematron-get-full-path">
    <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
    <xsl:text>/</xsl:text>
    <xsl:choose>
      <xsl:when test="namespace-uri()=''">
        <xsl:value-of select="name()"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text>*:</xsl:text>
        <xsl:value-of select="local-name()"/>
        <xsl:text>[namespace-uri()='</xsl:text>
        <xsl:value-of select="namespace-uri()"/>
        <xsl:text>']</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:variable name="preceding" select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/>
    <xsl:text>[</xsl:text>
    <xsl:value-of select="1+ $preceding"/>
    <xsl:text>]</xsl:text>
  </xsl:template>
  <xsl:template match="@*" mode="schematron-get-full-path">
    <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
    <xsl:text>/</xsl:text>
    <xsl:choose>
      <xsl:when test="namespace-uri()=''">
        @<xsl:value-of select="name()"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text>@*[local-name()='</xsl:text>
        <xsl:value-of select="local-name()"/>
        <xsl:text>' and namespace-uri()='</xsl:text>
        <xsl:value-of select="namespace-uri()"/>
        <xsl:text>']</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <!--MODE: SCHEMATRON-FULL-PATH-2-->
  <!--This mode can be used to generate prefixed XPath for humans-->
  <xsl:template match="node() | @*" mode="schematron-get-full-path-2">
    <xsl:for-each select="ancestor-or-self::*">
      <xsl:text>/</xsl:text>
      <xsl:value-of select="name(.)"/>
      <xsl:if test="preceding-sibling::*[name(.)=name(current())]">
        <xsl:text>[</xsl:text>
        <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
        <xsl:text>]</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:if test="not(self::*)">
      <xsl:text/>/@<xsl:value-of select="name(.)"/>
    </xsl:if>
  </xsl:template>
  <!--MODE: SCHEMATRON-FULL-PATH-3-->
  <!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
  <xsl:template match="node() | @*" mode="schematron-get-full-path-3">
    <xsl:for-each select="ancestor-or-self::*">
      <xsl:text>/</xsl:text>
      <xsl:value-of select="name(.)"/>
      <xsl:if test="parent::*">
        <xsl:text>[</xsl:text>
        <xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/>
        <xsl:text>]</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:if test="not(self::*)">
      <xsl:text/>/@<xsl:value-of select="name(.)"/>
    </xsl:if>
  </xsl:template>

  <!--MODE: GENERATE-ID-FROM-PATH -->
  <xsl:template match="/" mode="generate-id-from-path"/>
  <xsl:template match="text()" mode="generate-id-from-path">
    <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
    <xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/>
  </xsl:template>
  <xsl:template match="comment()" mode="generate-id-from-path">
    <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
    <xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/>
  </xsl:template>
  <xsl:template match="processing-instruction()" mode="generate-id-from-path">
    <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
    <xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/>
  </xsl:template>
  <xsl:template match="@*" mode="generate-id-from-path">
    <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
    <xsl:value-of select="concat('.@', name())"/>
  </xsl:template>
  <xsl:template match="*" mode="generate-id-from-path" priority="-0.5">
    <xsl:apply-templates select="parent::*" mode="generate-id-from-path"/>
    <xsl:text>.</xsl:text>
    <xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/>
  </xsl:template>

  <!--MODE: GENERATE-ID-2 -->
  <xsl:template match="/" mode="generate-id-2">U</xsl:template>
  <xsl:template match="*" mode="generate-id-2" priority="2">
    <xsl:text>U</xsl:text>
    <xsl:number level="multiple" count="*"/>
  </xsl:template>
  <xsl:template match="node()" mode="generate-id-2">
    <xsl:text>U.</xsl:text>
    <xsl:number level="multiple" count="*"/>
    <xsl:text>n</xsl:text>
    <xsl:number count="node()"/>
  </xsl:template>
  <xsl:template match="@*" mode="generate-id-2">
    <xsl:text>U.</xsl:text>
    <xsl:number level="multiple" count="*"/>
    <xsl:text>_</xsl:text>
    <xsl:value-of select="string-length(local-name(.))"/>
    <xsl:text>_</xsl:text>
    <xsl:value-of select="translate(name(),':','.')"/>
  </xsl:template>
  <!--Strip characters-->
  <xsl:template match="text()" priority="-1"/>

  <!--SCHEMA SETUP-->
  <xsl:template match="/">
    <xsl:variable xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="results">
      <xsl:apply-templates select="/" mode="M50"/>
      <xsl:apply-templates select="/" mode="M51"/>
      <xsl:apply-templates select="/" mode="M52"/>
      <xsl:apply-templates select="/" mode="M53"/>
      <xsl:apply-templates select="/" mode="M54"/>
      <xsl:apply-templates select="/" mode="M55"/>
      <xsl:apply-templates select="/" mode="M56"/>
      <xsl:apply-templates select="/" mode="M57"/>
      <xsl:apply-templates select="/" mode="M58"/>
      <xsl:apply-templates select="/" mode="M59"/>
      <xsl:apply-templates select="/" mode="M60"/>
      <xsl:apply-templates select="/" mode="M61"/>
    </xsl:variable>
    <xsl:if xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" test="$results">
      <xsl:element name="tns:Event" namespace="http://sbr.gov.au/comn/event.02.data" inherit-namespaces="no">
        <xsl:element name="tns:MaximumSeverity.Code">
          <xsl:choose>
            <xsl:when test="$results//tns:Severity.Code[.='Error']">Error</xsl:when>
            <xsl:when test="$results//tns:Severity.Code[.='Partial']">Partial</xsl:when>
            <xsl:when test="$results//tns:Severity.Code[.='Warning']">Warning</xsl:when>
            <xsl:when test="$results//tns:Severity.Code[.='Information']">Information</xsl:when>
            <xsl:when test="$results//tns:Severity.Code[.='Progressive']">Progressive</xsl:when>
            <xsl:otherwise>Information</xsl:otherwise>
          </xsl:choose>
        </xsl:element>
        <xsl:element name="tns:EventItems">
          <xsl:if test="not($results//tns:Severity.Code[.='Error'] or  $results//tns:Severity.Code[.='Partial'])">
            <xsl:element name="tns:EventItem">
              <xsl:element name="tns:Error.Code">CMN.ATO.GEN.OK</xsl:element>
              <xsl:element name="tns:Severity.Code">Information</xsl:element>
              <xsl:element name="tns:Short.Description">Message accepted</xsl:element>
              <xsl:element name="tns:Locations">
                <xsl:element name="tns:Location">
                  <xsl:element name="tns:Location.Instance.Identifier">
                    <xsl:value-of select="$document-id"/>
                  </xsl:element>
                </xsl:element>
              </xsl:element>
            </xsl:element>
          </xsl:if>
          <xsl:copy-of copy-namespaces="no" select="$results"/>
        </xsl:element>
      </xsl:element>
    </xsl:if>
  </xsl:template>

  <!--SCHEMATRON PATTERNS-->


  <!--
                PATTERN VariablesXBRL variables that are applicable accross all of the TD services.-->
  <xsl:variable name="RP.Context" select="xbrli:xbrl/xbrli:context[                                            ./xbrli:period/xbrli:startDate                                            and ./xbrli:period/xbrli:endDate                                           and ./xbrli:entity/                                           xbrli:segment[count(./xbrldi:explicitMember) = 1 and count(./xbrldi:typedMember) = 0]/                                            xbrldi:explicitMember                                           [                                               matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                               and                                                matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                                                                          ]                                           and                                           count(xbrli:period/xbrli:startDate) = 1                                     ]"/>
  <xsl:variable name="RP.ContextId" select="$RP.Context/@id"/>
  <xsl:variable name="INT.Context" select="xbrli:xbrl/xbrli:context[                                            ./xbrli:period/xbrli:startDate                                            and ./xbrli:period/xbrli:endDate                                           and ./xbrli:entity/                                           xbrli:segment[count(./xbrldi:explicitMember) = 1]/                                            xbrldi:explicitMember                                           [                                               matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                               and                                                matches(.,'^RprtPyType\.\d{2}\.\d{2}:Intermediary$')                                                                          ]                                     ]"/>
  <xsl:variable name="INT.ContextId" select="$INT.Context/@id"/>
  <xsl:variable name="currentContextId" select="xbrli:xbrl/xbrli:context/@id"/>
  <xsl:variable name="identifiersAustralianBusinessNumberIdentifier" select="key('facts', concat('Identifiers.AustralianBusinessNumber.Identifier', 'GEN'))"/>
  <xsl:variable name="organisationNameDetailsOrganisationalNameText" select="key('facts', concat('OrganisationNameDetails.OrganisationalName.Text', 'GEN'))"/>
  <xsl:variable name="taxRoleTypeCode" select="key('facts', concat('Tax.RoleType.Code', 'GEN'))"/>
  <xsl:variable name="personNameDetailsFamilyNameText" select="key('facts', concat('PersonNameDetails.FamilyName.Text', 'GEN'))"/>
  <xsl:variable name="personNameDetailsGivenNameText" select="key('facts', concat('PersonNameDetails.GivenName.Text', 'GEN'))"/>
  <xsl:variable name="personDemographicDetailsBirthDate" select="key('facts', concat('PersonDemographicDetails.Birth.Date', 'GEN'))"/>
  <xsl:variable name="personDemographicDetailsSexCode" select="key('facts', concat('PersonDemographicDetails.Sex.Code', 'GEN'))"/>
  <xsl:variable name="identifiersTaxAgentNumberIdentifier" select="key('facts', concat('Identifiers.TaxAgentNumber.Identifier', 'GEN'))"/>
  <xsl:template match="text()" priority="-1" mode="M50"/>
  <xsl:template match="@*|node()" priority="-2" mode="M50">
    <xsl:apply-templates select="*" mode="M50"/>
  </xsl:template>

  <!--
                PATTERN ContextValidations for contexts that are applicable accross all of the CU services.-->


  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1001" mode="M51">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         count($RP.Context) != 1                       )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.430296</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Invalid context. The number of Reporting party contexts must equal 1</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.000209</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/xbrli:context</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M51"/>
  </xsl:template>

  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M51">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         . = $RP.Context                         and                          $personDemographicDetailsBirthDate[not(@i:nil='true' or @i:nil='1') and string-length(.) &gt; 0]                         and                         function:IsDate1GreaterThanDate2($personDemographicDetailsBirthDate[1], xbrli:period/xbrli:startDate)                       )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500012</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Date of birth must be prior to the form submission start date</tns:Short.Description>
          <tns:Detailed.Description>The date entered is a future date. Date of birth cannot be any day in advance of the form submission start date.</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500012</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:variable name="startDate" select="xbrli:period/xbrli:startDate"/>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         preceding-sibling::xbrli:context/xbrli:period/xbrli:startDate[. != $startDate]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500030</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Invalid context. Period start date must be the same across all duration contexts.</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500030</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         xbrli:period/xbrli:endDate[. != $startDate]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500034</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Invalid context. Period start date must be the same as the Period end date for this form.</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500034</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $startDate[function:IsDate1GreaterThanDate2(., current-date())]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500035</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Invalid context. Period start date cannot be any day in the future.</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500035</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M51"/>
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M51"/>
  <xsl:template match="@*|node()" priority="-2" mode="M51">
    <xsl:apply-templates select="*" mode="M51"/>
  </xsl:template>

  <!--
                PATTERN FieldPatternsField Pattern Validations-->


  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1002" mode="M52">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="matches(.,'^(.*)[a-zA-Z0-9](.*)$')"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.410039</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Organisation name must contain at least one alpha or numeric character</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.410039</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         matches(.,'^(.*) - (.*)$')                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.000413</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Non Individual Name cannot contain space hyphen space combinations</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.428258</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         matches(.,'[{}|_\\#]')                     )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500023</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Non-Individual Name contains invalid text</tns:Short.Description>
          <tns:Detailed.Description>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = ; : ' " , . ? / or a space character.</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500023</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M52"/>
  </xsl:template>

  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl/pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1001" mode="M52">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="matches(.,'^(.*)[a-zA-Z](.*)$')"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.410040</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Family name must contain at least one alphabetical character</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.410040</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(matches(.,'^(.*) - (.*)$'))"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.000423</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Family Name cannot contain "space hyphen space"</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.428262</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         matches(.,'^(.*)(--|('')('')|  )(.*)$')                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.000427</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Family name cannot contain repeated hyphen, apostrophe, or space characters</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.428263</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         matches(.,'[{}|_\\#]')                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500024</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Individual Family name contains invalid text</tns:Short.Description>
          <tns:Detailed.Description>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &amp; * ( ) - = ; : ' " , . ? / or a space character.</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500024</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M52"/>
  </xsl:template>

  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl/pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1000" mode="M52">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(matches(.,'[{}|_\\#]'))"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500025</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Individual First given name contains invalid text</tns:Short.Description>
          <tns:Detailed.Description>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &amp; * ( ) - = ; : ' " , . ? / or a space character.</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500025</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                           matches(.,'^(.*)(--|('')('')|  )(.*)$')                       )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.000439</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>First name cannot contain repeated hyphen, apostrophe, or space characters</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.428265</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(matches(.,'^(.*) - (.*)$'))"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.000434</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>First name cannot contain space hyphen space</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.428264</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         not(matches(.,'^[a-zA-Z](.*)$', 'i'))                                                 )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.436001</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>An individual's first name must begin with an alpha character in the range 'A to Z' or 'a to z'</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.436001</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M52"/>
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M52"/>
  <xsl:template match="@*|node()" priority="-2" mode="M52">
    <xsl:apply-templates select="*" mode="M52"/>
  </xsl:template>

  <!--
                PATTERN FieldPatternsField Lengths Validations-->


  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl/pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1001" mode="M53">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         string-length(.) &gt; 30                       )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500016</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Individual Family name must not exceed 30 characters</tns:Short.Description>
          <tns:Detailed.Description>For Individual Family name, the maximum allowable characters for this form is 30</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500016</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M53"/>
  </xsl:template>

  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl/pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1000" mode="M53">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         string-length(.) &gt; 15                       )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500017</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Individual First given name must not exceed 15 characters</tns:Short.Description>
          <tns:Detailed.Description>For Individual First given name, the maximum allowable characters for this form is 15</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500017</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M53"/>
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M53"/>
  <xsl:template match="@*|node()" priority="-2" mode="M53">
    <xsl:apply-templates select="*" mode="M53"/>
  </xsl:template>

  <!--
                PATTERN ContentContent Validations-->


  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1005" mode="M54">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         count($taxRoleTypeCode) &gt; 1                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500001</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>The maximum number of Role Types permitted is 1</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500001</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:Tax.RoleType.Code</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M54"/>
  </xsl:template>

  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1004" mode="M54">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                           not(function:ValidateABN(.))                          )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.000477</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>ABN is invalid</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.434223</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M54"/>
  </xsl:template>

  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1003" mode="M54">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         matches(.,'^(T/A )(.*)$', 'i')                          and                          matches(.,'^(.*)( Pship| P''ship| P/ship)$', 'i')                        )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.410038</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Non-individual name field cannot start with 'T/A' and end with 'Pship, P'ship or P/Ship'</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.410038</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>



    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         matches(.,'^(.*)(P/L)(.*)$')                       )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.000414</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Non Individual Name cannot contain "P/L"</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.428259</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         matches(.,'^(.*)( T/A| T/A Pship| T/A P''ship| T/A P/ship| T/A Partnership)$', 'i')                        )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.000417</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Non Individual Name cannot end with "T/A", "T/A P'ship", "T/A Pship", "T/A P/Ship" or "T/A Partnership"</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.428261</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M54"/>
  </xsl:template>

  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl/pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1002" mode="M54">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                          matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or                          matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or                          matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or                          matches(.,'^(Exec for|Rep for|Trustee for)$','i')                                   )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.000424</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Family name cannot contain "Exec for", "Rep for" or "Trustee for"</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.410200</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or                         matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or                         matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or                         matches(.,'^(MR|MRS|MISS|MS)$','i')                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.000426</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Family name cannot contain "MR", "MRS", "MISS" or "MS"</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.410201</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or                         matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or                         matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or                         matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')                                              )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.000422</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Family name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.428231</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M54"/>
  </xsl:template>

  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl/pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1001" mode="M54">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or                         matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or                         matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or                         matches(.,'^(Exec for|Rep for|Trustee for)$','i')                                   )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.000437</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>First name cannot contain "Exec for", "Rep for" or "Trustee for"</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.410203</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or                         matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or                         matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or                         matches(.,'^(MR|MRS|MISS|MS)$','i')                                              )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.000438</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>First name cannot contain "MR", "MRS", "MISS" or "MS"</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.410204</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                           matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or                           matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or                           matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or                           matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.000436</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>First name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.410202</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M54"/>
  </xsl:template>

  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl/pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M54">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         not(function:ValidateTAN(.))                       )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.410009</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>The Tax Agent number has failed the Tax Agent number algorithm check</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.428247</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M54"/>
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M54"/>
  <xsl:template match="@*|node()" priority="-2" mode="M54">
    <xsl:apply-templates select="*" mode="M54"/>
  </xsl:template>

  <!--
                PATTERN WarningsValidations for warnings that are applicable accross all CU services.-->
  <xsl:template match="text()" priority="-1" mode="M55"/>
  <xsl:template match="@*|node()" priority="-2" mode="M55">
    <xsl:apply-templates select="*" mode="M55"/>
  </xsl:template>

  <!--
                PATTERN VariablesXBRL variables that are applicable across all of the TD services.-->
  <xsl:variable name="RPTAC.Context" select="xbrli:xbrl/xbrli:context                                       [                                           not(@i:nil='true')                                            and                                            xbrli:entity/xbrli:segment                                           [                                               count(xbrldi:explicitMember) = 2                                                and                                               count(xbrldi:typedMember) = 0                                                and                                                       xbrldi:explicitMember                                                       [                                                           matches(@dimension,'^DeclarationType\.\d{2}\.\d{2}:DeclarationTypeDimension')                                                           and                                                            matches(.,'^DeclarationType\.\d{2}\.\d{2}:TrueAndCorrect$')                                                       ]                                                       and                                                       xbrldi:explicitMember                                                       [                                                           matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                                           and                                                            matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                                                                                      ]                                                    ]                                     ]"/>
  <xsl:variable name="RPTAC.ContextId" select="$RPTAC.Context/@id"/>
  <xsl:variable name="INTTAC.Context" select="xbrli:xbrl/xbrli:context                                       [                                           not(@i:nil='true')                                            and                                            xbrli:entity/xbrli:segment                                           [                                               count(xbrldi:explicitMember) = 2                                                and                                               count(xbrldi:typedMember) = 0                                                and                                                       xbrldi:explicitMember                                                       [                                                           matches(@dimension,'^DeclarationType\.\d{2}\.\d{2}:DeclarationTypeDimension')                                                           and                                                            matches(.,'^DeclarationType\.\d{2}\.\d{2}:TrueAndCorrect$')                                                       ]                                                       and                                                       xbrldi:explicitMember                                                       [                                                           matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                                           and                                                            matches(.,'^RprtPyType\.\d{2}\.\d{2}:Intermediary$')                                                                                      ]                                                    ]                                     ]"/>
  <xsl:variable name="INTTAC.ContextId" select="$INTTAC.Context/@id"/>
  <xsl:variable name="RPI.Context" select="xbrli:xbrl/xbrli:context[                                            ./xbrli:period/xbrli:instant                                           and ./xbrli:entity/                                           xbrli:segment[count(./xbrldi:explicitMember) = 1 and count(./xbrldi:typedMember) = 0]/                                            xbrldi:explicitMember                                           [                                               matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                               and                                                matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                                                                          ]                                           and                                           count(xbrli:period/xbrli:instant) = 1                                     ]"/>
  <xsl:variable name="RPI.ContextId" select="$RPI.Context/@id"/>
  <xsl:variable name="cumas3" select="key('RPfacts', concat('OrganisationNameDetails.OrganisationalName.Text', 'RP'))"/>
  <xsl:variable name="cumas5" select="key('RPfacts', concat('PersonNameDetails.FamilyName.Text', 'RP'))"/>
  <xsl:variable name="cumas6" select="key('RPfacts', concat('PersonNameDetails.GivenName.Text', 'RP'))"/>
  <xsl:variable name="cumas7" select="key('RPfacts', concat('PersonDemographicDetails.Birth.Date', 'RP'))"/>
  <xsl:variable name="cumas8" select="key('RPfacts', concat('PersonDemographicDetails.Sex.Code', 'RP'))"/>
  <xsl:variable name="cumas9" select="key('RPfacts', concat('GoodsAndServicesTax.RegistrationReason.Code', 'RP'))"/>
  <xsl:variable name="cumas10" select="key('RPfacts', concat('OrganisationDetails.NotForProfit.Indicator', 'RP'))"/>
  <xsl:variable name="cumas12" select="key('RPfacts', concat('GoodsAndServicesTax.RegistrationStart.Date', 'RP'))"/>
  <xsl:variable name="cumas13" select="key('RPfacts', concat('GoodsAndServicesTax.TurnoverRange.Code', 'RP'))"/>
  <xsl:variable name="cumas14" select="key('RPfacts', concat('Lodgment.Frequency.Code', 'RP'))"/>
  <xsl:variable name="cumas15" select="key('RPfacts', concat('AccountingPolicies.CashAccountingMethodUsed.Indicator', 'RP'))"/>
  <xsl:variable name="cumas16" select="key('RPfacts', concat('GoodsAndServicesTax.Import.Indicator', 'RP'))"/>
  <xsl:variable name="cumas17" select="key('RPIfacts', concat('FuelTax.RegistrationStart.Date', 'RPI'))"/>
  <xsl:variable name="cumas19" select="key('RPfacts', concat('FuelTax.FuelType.Code', 'RP'))"/>
  <xsl:variable name="cumas20" select="key('RPfacts', concat('FuelTax.HeavyVehicle.Indicator', 'RP'))"/>
  <xsl:variable name="cumas21" select="key('RPIfacts', concat('IncomeTax.PayAsYouGoWithholding.RegistrationStart.Date', 'RPI'))"/>
  <xsl:variable name="cumas24" select="key('RPIfacts', concat('LabourStatistics.Employees.Count', 'RPI'))"/>
  <xsl:variable name="cumas25" select="key('RPfacts', concat('IncomeTax.PayAsYouGoWithholding.EstimatedTaxWithheld.Amount', 'RP'))"/>
  <xsl:variable name="cumas26" select="key('RPfacts', concat('Lodgment.Channel.Code', 'RP'))"/>
  <xsl:variable name="cumas27" select="key('RPfacts', concat('IncomeTax.PayAsYouGoWithholding.PaymentSummaryProvisionMethod.Code', 'RP'))"/>
  <xsl:variable name="cumas28" select="key('RPfacts', concat('IncomeTax.PayAsYouGoWithholding.InvestmentBody.Indicator', 'RP'))"/>
  <xsl:variable name="cumas29" select="key('RPfacts', concat('OrganisationDetails.OrganisationIndustryGroup.Code', 'RP'))"/>
  <xsl:variable name="cumas30" select="key('RPfacts', concat('OrganisationDetails.MainIncomeActivity.Description', 'RP'))"/>
  <xsl:variable name="cumas31" select="key('RPfacts', concat('OrganisationDetails.MainEmploymentActivity.Description', 'RP'))"/>
  <xsl:variable name="cumas32" select="key('RPIfacts', concat('LuxuryCarTax.RegistrationStart.Date', 'RPI'))"/>
  <xsl:variable name="cumas34" select="key('RPfacts', concat('LuxuryCarTax.Manufacturing.Percent', 'RP'))"/>
  <xsl:variable name="cumas35" select="key('RPfacts', concat('LuxuryCarTax.Wholesale.Percent', 'RP'))"/>
  <xsl:variable name="cumas36" select="key('RPfacts', concat('LuxuryCarTax.Importing.Percent', 'RP'))"/>
  <xsl:variable name="cumas37" select="key('RPfacts', concat('LuxuryCarTax.Retailing.Percent', 'RP'))"/>
  <xsl:variable name="cumas38" select="key('RPfacts', concat('LuxuryCarTax.LiabilityRange.Code', 'RP'))"/>
  <xsl:variable name="cumas39" select="key('RPfacts', concat('LuxuryCarTax.ActivityStatementRegistration.Indicator', 'RP'))"/>
  <xsl:variable name="cumas40" select="key('RPIfacts', concat('WineEqualisationTax.RegistrationStart.Date', 'RPI'))"/>
  <xsl:variable name="cumas42" select="key('RPfacts', concat('WineEqualisationTax.Manufacturing.Indicator', 'RP'))"/>
  <xsl:variable name="cumas43" select="key('RPfacts', concat('WineEqualisationTax.Wholesale.Indicator', 'RP'))"/>
  <xsl:variable name="cumas44" select="key('RPfacts', concat('WineEqualisationTax.Importing.Indicator', 'RP'))"/>
  <xsl:variable name="cumas45" select="key('RPfacts', concat('WineEqualisationTax.Exporting.Indicator', 'RP'))"/>
  <xsl:variable name="cumas46" select="key('RPfacts', concat('WineEqualisationTax.IndirectMarketingRetailer.Indicator', 'RP'))"/>
  <xsl:variable name="cumas47" select="key('RPfacts', concat('WineEqualisationTax.Wine.Percent', 'RP'))"/>
  <xsl:variable name="cumas48" select="key('RPfacts', concat('WineEqualisationTax.Beer.Percent', 'RP'))"/>
  <xsl:variable name="cumas49" select="key('RPfacts', concat('WineEqualisationTax.Spirit.Percent', 'RP'))"/>
  <xsl:variable name="cumas50" select="key('RPfacts', concat('WineEqualisationTax.Other.Percent', 'RP'))"/>
  <xsl:variable name="cumas60" select="key('RPfacts', concat('ElectronicContact.ElectronicMail.Address.Text', 'RP'))"/>
  <xsl:variable name="cumas61" select="key('RPfacts', concat('LuxuryCarTax.Activity.Code', 'RP'))"/>
  <xsl:variable name="cumas52INTTAC" select="key('INTTACfacts', concat('PersonUnstructuredName.FullName.Text', 'INTTAC'))"/>
  <xsl:variable name="cumas52RPTAC" select="key('RPTACfacts', concat('PersonUnstructuredName.FullName.Text', 'RPTAC'))"/>
  <xsl:variable name="cumas53INTTAC" select="key('INTTACfacts', concat('PersonNameDetails.Position.Text', 'INTTAC'))"/>
  <xsl:variable name="cumas53RPTAC" select="key('RPTACfacts', concat('PersonNameDetails.Position.Text', 'RPTAC'))"/>
  <xsl:variable name="cumas54INTTAC" select="key('INTTACfacts', concat('ElectronicContact.Telephone.Area.Code', 'INTTAC'))"/>
  <xsl:variable name="cumas54RPTAC" select="key('RPTACfacts', concat('ElectronicContact.Telephone.Area.Code', 'RPTAC'))"/>
  <xsl:variable name="cumas55INTTAC" select="key('INTTACfacts', concat('ElectronicContact.Telephone.Minimal.Number', 'INTTAC'))"/>
  <xsl:variable name="cumas55RPTAC" select="key('RPTACfacts', concat('ElectronicContact.Telephone.Minimal.Number', 'RPTAC'))"/>
  <xsl:variable name="cumas56INTTAC" select="key('INTTACfacts', concat('Identifiers.TaxAgentNumber.Identifier', 'INTTAC'))"/>
  <xsl:variable name="cumas56RPTAC" select="key('RPTACfacts', concat('Identifiers.TaxAgentNumber.Identifier', 'RPTAC'))"/>
  <xsl:variable name="cumas57INTTAC" select="key('INTTACfacts', concat('Declaration.Signature.Date', 'INTTAC'))"/>
  <xsl:variable name="cumas57RPTAC" select="key('RPTACfacts', concat('Declaration.Signature.Date', 'RPTAC'))"/>
  <xsl:variable name="cumas58INTTAC" select="key('INTTACfacts', concat('Declaration.StatementAccepted.Indicator', 'INTTAC'))"/>
  <xsl:variable name="cumas58RPTAC" select="key('RPTACfacts', concat('Declaration.StatementAccepted.Indicator', 'RPTAC'))"/>
  <xsl:variable name="cumas59INTTAC" select="key('INTTACfacts', concat('Declaration.SignatoryIdentifier.Text', 'INTTAC'))"/>
  <xsl:variable name="cumas59RPTAC" select="key('RPTACfacts', concat('Declaration.SignatoryIdentifier.Text', 'RPTAC'))"/>
  <xsl:template match="text()" priority="-1" mode="M56"/>
  <xsl:template match="@*|node()" priority="-2" mode="M56">
    <xsl:apply-templates select="*" mode="M56"/>
  </xsl:template>

  <!--
                PATTERN ContextContext Validations-->


  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1001" mode="M57">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                             $RP.Context                             and                             xbrli:context[@id = $RP.ContextId]/xbrli:entity/xbrli:identifier                             [                                                             not(matches(@scheme,'^http://www.ato.gov.au/tfn$'))                                 and                                 not(matches(@scheme,'^http://www.abr.gov.au/abn$'))                             ]                       )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500124</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Entity Identifier Scheme must be provided</tns:Short.Description>
          <tns:Detailed.Description>Entity identifier scheme for ReportingParty must be "http://www.ato.gov.au/tfn" or "http://www.abr.gov.au/abn"</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500124</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/xbrli:entity/xbrli:identifier</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $RPI.Context/xbrli:period/xbrli:instant[. != $RP.Context/xbrli:period/xbrli:startDate]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100098</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Reporting Party (Instant) period date is invalid</tns:Short.Description>
          <tns:Detailed.Description>Invalid context. Period date of Reporting Party (Instant) must match period start date of Reporting Party.</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100098</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/xbrli:period/xbrli:instant</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         count($RPI.Context) &gt; 1                       )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100099</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Invalid context. The number of Reporting Party (Instant) contexts must not exceed 1.</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100099</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/xbrli:context</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                                                $RP.Context/xbrli:entity/xbrli:identifier                         [                             upper-case(@scheme) = 'HTTP://WWW.ABR.GOV.AU/ABN'                             and                              string-length(.) != 0                             and                              not(function:ValidateABN(.))                         ]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100194</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>ABN is invalid</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100194</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/xbrli:entity/xbrli:identifier</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $RP.Context/xbrli:entity/xbrli:identifier                         [                             upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN'                             and                              string-length(.) != 0                             and                              not(function:ValidateTFN(.))                         ]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100199</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Reporting Party Tax File Number has failed the algorithm check</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100199</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/xbrli:entity/xbrli:identifier</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         count($RPTAC.Context) &gt; 1                       )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500046</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Invalid context. The number of RP.TrueAndCorrect contexts must not exceed 1.</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500046</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/xbrli:context</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         count($INTTAC.Context) &gt; 1                       )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500047</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Invalid context. The number of Intermediary.TrueAndCorrect contexts must not exceed 1.</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500047</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/xbrli:context</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $INTTAC.Context/xbrli:entity/xbrli:identifier                         [                             upper-case(@scheme) != 'HTTP://WWW.ABR.GOV.AU/ABN'                         ]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500051</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Entity identifier scheme for Intermediary.TrueAndCorrect must be "http://www.abr.gov.au/abn"</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500051</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/xbrli:context</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $RPTAC.Context/xbrli:entity/xbrli:identifier                         [                             upper-case(@scheme) != 'HTTP://WWW.ABR.GOV.AU/ABN'                         ]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500052</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Entity identifier scheme for ReportingParty.TrueAndCorrect must be "http://www.abr.gov.au/abn"</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500052</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/xbrli:context</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M57"/>
  </xsl:template>

  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true')]" priority="1000" mode="M57">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                       xbrli:entity/xbrli:segment/xbrldi:explicitMember                       [                           matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                           and                            matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                       ]                       and                       xbrli:entity/xbrli:identifier/@scheme != $RP.Context/xbrli:entity/xbrli:identifier/@scheme                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100188</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Unexpected Scheme mismatch with Reporting Party</tns:Short.Description>
          <tns:Detailed.Description>Scheme in entity identifier of context does not match the Scheme provided for the Reporting Party</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100188</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                       xbrli:entity/xbrli:segment/xbrldi:explicitMember                       [                           matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                           and                            matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                       ]                       and                       $RP.Context/xbrli:entity/xbrli:identifier/@scheme = 'http://www.ato.gov.au/tfn'                       and                       xbrli:entity/xbrli:identifier/@scheme = $RP.Context/xbrli:entity/xbrli:identifier/@scheme                       and                       xbrli:entity/xbrli:identifier != $RP.Context/xbrli:entity/xbrli:identifier                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100189</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Unexpected TFN mismatch with Reporting Party</tns:Short.Description>
          <tns:Detailed.Description>TFN in entity identifier of context does not match the TFN provided for the Reporting Party</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100189</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                       xbrli:entity/xbrli:segment/xbrldi:explicitMember                       [                           matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                           and                            matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                       ]                       and                       $RP.Context/xbrli:entity/xbrli:identifier/@scheme = 'http://www.abr.gov.au/abn'                       and                       xbrli:entity/xbrli:identifier/@scheme = $RP.Context/xbrli:entity/xbrli:identifier/@scheme                       and                       xbrli:entity/xbrli:identifier != $RP.Context/xbrli:entity/xbrli:identifier                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100190</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Unexpected ABN mismatch with Reporting Party</tns:Short.Description>
          <tns:Detailed.Description>ABN in entity identifier of context does not match the ABN provided for the Reporting Party</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100190</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         @id = $INTTAC.ContextId                         and                         xbrli:entity/xbrli:identifier                         [                             string-length(.) != 0                              and                              not(function:ValidateABN(.))                         ]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500054</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Intermediary declarer Australian Business Number has failed the algorithm check</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500054</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M57"/>
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M57"/>
  <xsl:template match="@*|node()" priority="-2" mode="M57">
    <xsl:apply-templates select="*" mode="M57"/>
  </xsl:template>

  <!--
                PATTERN FieldPatternsField Pattern Validations-->


  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1002" mode="M58">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas60                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[\--9a-z?-Z -!$-&amp;*='']*$'))                         ]                     )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100073</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Contact E-mail address contains invalid text</tns:Short.Description>
          <tns:Detailed.Description>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * - = ' . ? / or a space character</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100073</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas60                         [                             matches(.,'^@(.*)|(.*)@$')                         ]                     )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100074</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Email address must not start or end with an @ symbol</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100074</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas60                         [                             matches(.,'^(.*)[@](.*)[@](.*)$')                         ]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100075</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Email address must not contain more than one @ symbol</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100075</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas60                         [                             matches(.,'^\.(.*)|(.*)\.$')                         ]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100076</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Email address must not start or end with a dot (.)</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100076</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas60                         [                             matches(.,'\.\.')                         ]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100077</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Email address must not contain more than one consecutive dots (..)</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100077</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas60                         [                             matches(.,'\.@')                         ]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100078</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Email address must not contain a dot followed by a @ symbol (.@)</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100078</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas60                         [                             matches(.,'@\.')                         ]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100079</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Email address must not contain a @ symbol followed by a dot (@.)</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100079</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas60                         [                             not(matches(.,'@'))                         ]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100080</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Email address must contain an @ symbol</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100080</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas60                         [                             matches(.,' ')                         ]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100081</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>An email address must not start with a space or include a space within it</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100081</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas60                         [                             not(matches(.,'\.'))                         ]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100082</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Email address must contain a dot (.)</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100082</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas30                         [                             not(@i:nil='true' or @i:nil='1') and string-length(.) != 0                             and                             not(matches(.,'^[a-z?-\[\] -&#34;$-*\--;=]*$'))                         ]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100120</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Main Business Activity contains invalid text</tns:Short.Description>
          <tns:Detailed.Description>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100120</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/pyde.02.05:OrganisationDetails.MainIncomeActivity.Description</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                                 $cumas34                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[0-9]+$'))                         ]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100132</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Manufacturing Percent must be numeric</tns:Short.Description>
          <tns:Detailed.Description>Manufacturing Percent must be a numeric field, values nnn where n is a digit 0 to 9 only to be used.</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100132</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:LuxuryCarTax.Manufacturing.Percent</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                                 $cumas35                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[0-9]+$'))                         ]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100136</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Wholesale Percent must be numeric</tns:Short.Description>
          <tns:Detailed.Description>Wholesale Percent must be a numeric field, values nnn where n is a digit 0 to 9 only to be used.</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100136</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:LuxuryCarTax.Wholesale.Percent</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                                 $cumas36                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[0-9]+$'))                         ]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100139</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Importing Percent must be numeric</tns:Short.Description>
          <tns:Detailed.Description>Importing Percent must be a numeric field, values nnn where n is a digit 0 to 9 only to be used.</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100139</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:LuxuryCarTax.Importing.Percent</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                                 $cumas37                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[0-9]+$'))                         ]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100141</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Retailing Percent must be numeric</tns:Short.Description>
          <tns:Detailed.Description>Retailing Percent must be a numeric field, values nnn where n is a digit 0 to 9 only to be used.</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100141</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:LuxuryCarTax.Retailing.Percent</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                                 $cumas47                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[0-9]+$'))                         ]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100164</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Wine Percent must be numeric</tns:Short.Description>
          <tns:Detailed.Description>Wine Percent must be a numeric field, values nnn where n is a digit 0 to 9 only to be used.</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100164</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:WineEqualisationTax.Wine.Percent</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                                 $cumas48                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[0-9]+$'))                         ]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100166</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Beer Percent must be numeric</tns:Short.Description>
          <tns:Detailed.Description>Beer Percent must be a numeric field, values nnn where n is a digit 0 to 9 only to be used.</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100166</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:WineEqualisationTax.Beer.Percent</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                                 $cumas49                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[0-9]+$'))                         ]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100168</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Spirit Percent must be numeric</tns:Short.Description>
          <tns:Detailed.Description>Spirit Percent must be a numeric field, values nnn where n is a digit 0 to 9 only to be used.</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100168</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:WineEqualisationTax.Spirit.Percent</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                                 $cumas50                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[0-9]+$'))                         ]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100170</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Other Percent must be numeric</tns:Short.Description>
          <tns:Detailed.Description>Other Percent must be a numeric field, values nnn where n is a digit 0 to 9 only to be used.</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100170</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:WineEqualisationTax.Other.Percent</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas34[. &lt; 0 or . &gt; 100]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100227</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>The Manufacturing Percent is invalid. It cannot be greater than 100 percent.</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100227</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:LuxuryCarTax.Manufacturing.Percent</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas35[. &lt; 0 or . &gt; 100]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100228</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>The Wholesale Percent is invalid. It cannot be greater than 100 percent.</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100228</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:LuxuryCarTax.Wholesale.Percent</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas36[. &lt; 0 or . &gt; 100]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100229</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>The Importing Percent is invalid. It cannot be greater than 100 percent.</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100229</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:LuxuryCarTax.Importing.Percent</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas37[. &lt; 0 or . &gt; 100]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100230</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>The Retailing Percent is invalid. It cannot be greater than 100 percent.</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100230</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:LuxuryCarTax.Retailing.Percent</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas52RPTAC[matches(.,'^(.*) - (.*)$')]                         or                         $cumas52INTTAC[matches(.,'^(.*) - (.*)$')]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500057</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Declarer Contact Name cannot contain space hyphen space combinations</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500057</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/pyde.02.00:PersonUnstructuredName.FullName.Text</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas59INTTAC                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-z?-\[\] -&#34;$-*\--;=]*$'))                         ]                         or                         $cumas59RPTAC                         [                             not(@i:nil='true') and string-length(.) != 0                             and                             not(matches(.,'^[a-z?-\[\] -&#34;$-*\--;=]*$'))                         ]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500069</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Declarer identifier contains invalid text</tns:Short.Description>
          <tns:Detailed.Description>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500069</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/pyin.02.00:Declaration.SignatoryIdentifier.Text</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                       $cumas31                       [                         not(@i:nil='true') and string-length(.) != 0                         and                         not(matches(.,'^[a-z?-\[\] -&#34;$-*\--;=]*$'))                       ]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100122</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Main Employment Activity contains invalid text</tns:Short.Description>
          <tns:Detailed.Description>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100122</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/pyde.02.23:OrganisationDetails.MainEmploymentActivity.Description</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M58"/>
  </xsl:template>

  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl/pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true') and string-length(.) != 0]" priority="1001" mode="M58">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         matches(.,'[{}|_\\#]')                     )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500037</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Declarer Contact Name contains invalid text</tns:Short.Description>
          <tns:Detailed.Description>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &amp; * ( ) - = ; : ' " , . ? / or a space character.</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500037</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M58"/>
  </xsl:template>

  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl/pyde.02.18:PersonNameDetails.Position.Text[not(@i:nil='true') and string-length(.) != 0]" priority="1000" mode="M58">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         not(matches(.,'^[a-z?-\[\] -&#34;$-*\--;=]*$'))                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500059</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Declarer position held of person making the declaration contains invalid text</tns:Short.Description>
          <tns:Detailed.Description>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500059</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M58"/>
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M58"/>
  <xsl:template match="@*|node()" priority="-2" mode="M58">
    <xsl:apply-templates select="*" mode="M58"/>
  </xsl:template>

  <!--
                PATTERN FieldLengthsField Lengths Validations-->


  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1002" mode="M59">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas60[string-length(.) &gt; 200]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100072</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>E-mail address must not exceed 200 characters</tns:Short.Description>
          <tns:Detailed.Description>For the E-mail address, the maximum allowable characters for this form is 200</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100072</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas24[string-length(.) &gt; 7]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100103</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Number of Employees must not exceed 7 characters</tns:Short.Description>
          <tns:Detailed.Description>For the Number of Employees, the maximum allowable characters for this form is 7</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100103</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/lrla.02.10:LabourStatistics.Employees.Count</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(             $cumas25[not(matches(.,'^[0-9]{1,11}$'))]            )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100106</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Estimated Annual Amount Withheld is not in a valid monetary format</tns:Short.Description>
          <tns:Detailed.Description>Estimated Annual Amount Withheld must be unsigned, not exceed 11 digits and not contain a decimal point or any other characters</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100106</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc2.02.15:IncomeTax.PayAsYouGoWithholding.EstimatedTaxWithheld.Amount</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas30[string-length(.) &gt; 200]            )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100119</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Main Business Activity must not exceed 200 characters</tns:Short.Description>
          <tns:Detailed.Description>For Main Business Activity, the maximum allowable characters for this form is 200</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100119</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/pyde.02.05:OrganisationDetails.MainIncomeActivity.Description</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas31[string-length(.) &gt; 200]            )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100121</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Main Employment Activity must not exceed 200 characters</tns:Short.Description>
          <tns:Detailed.Description>For Main Employment Activity, the maximum allowable characters for this form is 200</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100121</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/pyde.02.23:OrganisationDetails.MainEmploymentActivity.Description</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas47[string-length(.) &gt; 3]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100165</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Wine Percent must not exceed 3 characters</tns:Short.Description>
          <tns:Detailed.Description>For Wine Percent, the maximum allowable characters for this form is 3</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100165</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:WineEqualisationTax.Wine.Percent</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas48[string-length(.) &gt; 3]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100167</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Beer Percent must not exceed 3 characters</tns:Short.Description>
          <tns:Detailed.Description>For Beer Percent, the maximum allowable characters for this form is 3</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100167</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:WineEqualisationTax.Beer.Percent</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas49[string-length(.) &gt; 3]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100169</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Spirit Percent must not exceed 3 characters</tns:Short.Description>
          <tns:Detailed.Description>For Spirit Percent, the maximum allowable characters for this form is 3</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100169</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:WineEqualisationTax.Spirit.Percent</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas50[string-length(.) &gt; 3]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100171</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Other Percent must not exceed 3 characters</tns:Short.Description>
          <tns:Detailed.Description>For Other Percent, the maximum allowable characters for this form is 3</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100171</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:WineEqualisationTax.Other.Percent</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas55RPTAC[string-length(.) &gt; 15]                         or                         $cumas55INTTAC[string-length(.) &gt; 15]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500063</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Declarer Telephone number must not exceed 15 characters</tns:Short.Description>
          <tns:Detailed.Description>For Declarer Telephone number, the maximum allowable characters for this form is 15</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500063</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/pyde.02.00:ElectronicContact.Telephone.Minimal.Number</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M59"/>
  </xsl:template>

  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl/pyde.02.18:PersonNameDetails.Position.Text[not(@i:nil='true') and string-length(.) != 0]" priority="1001" mode="M59">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         string-length(.) &gt; 50                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500058</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Declarer position must not exceed 50 characters</tns:Short.Description>
          <tns:Detailed.Description>For Declarer position, the maximum allowable characters for this form is 50</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500058</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M59"/>
  </xsl:template>

  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl/pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true') and string-length(.) != 0]" priority="1000" mode="M59">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         string-length(.) &gt; 200                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100174</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Declarer Contact Name must not exceed 200 characters</tns:Short.Description>
          <tns:Detailed.Description>For Declarer contact name, the maximum allowable characters for this form is 200</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100174</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M59"/>
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M59"/>
  <xsl:template match="@*|node()" priority="-2" mode="M59">
    <xsl:apply-templates select="*" mode="M59"/>
  </xsl:template>

  <!--
                PATTERN MandatoriesMandatory validation for fields that are applicable for CUMASADD.-->


  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1000" mode="M60">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         not($cumas59RPTAC[not(@i:nil='true') and string-length(.) != 0])                         and                         not($cumas59INTTAC[not(@i:nil='true') and string-length(.) != 0])                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100180</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Declaration Signatory Identifier text must be present</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100180</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/pyin.02.00:Declaration.SignatoryIdentifier.Text</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         (                             not($INTTAC.Context)                              and                             not($cumas52RPTAC[not(@i:nil='true') and string-length(.) != 0])                         )                         or                         (                             $INTTAC.Context                              and                             not($cumas52INTTAC[not(@i:nil='true') and string-length(.) != 0])                         )                                                )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500056</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Declarer contact name must be provided</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500056</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/pyde.02.00:PersonUnstructuredName.FullName.Text</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         (                           count($RPTAC.Context) &gt; 0                            and                            $cumas56RPTAC[not(@i:nil='true') and string-length(.) != 0]                         )                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500065</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Declarer tax agent number must not be present for Reporting Party</tns:Short.Description>
          <tns:Detailed.Description>Declarer tax agent number is only applicable for an Intermediary tax agent</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500065</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/pyid.02.00:Identifiers.TaxAgentNumber.Identifier</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         (                           count($INTTAC.Context) = 0                            and                            not($cumas57RPTAC[not(@i:nil='true') and string-length(.) != 0])                         )                         or                         (                           count($RPTAC.Context) = 0                            and                            not($cumas57INTTAC[not(@i:nil='true') and string-length(.) != 0])                         )                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.307004</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Declaration Signature Date is required</tns:Short.Description>
          <tns:Detailed.Description>Intermediary or Report Party declaration signatory date is required</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500067</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/pyin.02.00:Declaration.Signature.Date</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         not($cumas58RPTAC[not(@i:nil='true') and string-length(.) != 0])                         and                         not($cumas58INTTAC[not(@i:nil='true') and string-length(.) != 0])                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.410078</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Declaration Statement Accepted Indicator must be present</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500068</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/pyin.02.00:Declaration.StatementAccepted.Indicator</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M60"/>
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M60"/>
  <xsl:template match="@*|node()" priority="-2" mode="M60">
    <xsl:apply-templates select="*" mode="M60"/>
  </xsl:template>

  <!--
                PATTERN ContentContent Validations-->


  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1002" mode="M61">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                           $cumas5[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                           or                           $cumas6[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                           or                           $cumas7[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                         )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500086</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Individual and Non-individual details are both present. Only family or non-individual name details may be present.</tns:Short.Description>
          <tns:Detailed.Description>Only Non-Individual Name must be present for non-individuals, or only Individual Family name, Individual First given name and Date of Birth must be present for individuals</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500086</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M61"/>
  </xsl:template>

  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1001" mode="M61">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(       not($cumas3[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])              and       (                           not($cumas5[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                           or                           not($cumas7[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])       )                         )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500126</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Individual or Non-individual details must be provided</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500126</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                                                $cumas17[not(@i:nil='true')]                         and                         (                           not($cumas19[not(@i:nil='true')])                           or                           not($cumas20[not(@i:nil='true')])                         )                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100023</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Fuel Tax Credit details must be present for Fuel Tax Credits Effective Date</tns:Short.Description>
          <tns:Detailed.Description>Fuel Type and Gross Vehicle Mass Indicator must be present for Fuel Tax Credits Effective Date</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100023</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:FuelTax.RegistrationStart.Date</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas12[not(@i:nil='true')]                         and                         (                           not($cumas9[not(@i:nil='true')])                           or                           not($cumas13[not(@i:nil='true')])                           or                           not($cumas14[not(@i:nil='true')])                           or                           not($cumas15[not(@i:nil='true')])                           or                           not($cumas16[not(@i:nil='true')])                         )                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100048</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>GST Registration details are required</tns:Short.Description>
          <tns:Detailed.Description>Where GST Effective Date is present, then GST Registration Type, GST Turnover Amount, GST Activity Statement Lodgment Frequency, GST Accounting Method and Goods Importation Indicator are required</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100048</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:GoodsAndServicesTax.RegistrationStart.Date</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas12[function:IsDate1GreaterThanDate2('2000-07-01', .)]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100057</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>GST Effective Date must be no earlier than 1/7/2000</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100057</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:GoodsAndServicesTax.RegistrationStart.Date</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas12[function:IsDate1GreaterThanDate2(function:AddRemoveMonthsToDate(., -6), current-date())]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100058</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>GST Effective Date must not be more than 6 months in advance of the current date</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100058</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:GoodsAndServicesTax.RegistrationStart.Date</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas61[. = 'Importer']                         and                         (                           sum($cumas36) &lt; sum($cumas35)                           or                           sum($cumas36) &lt; sum($cumas37)                           or                           sum($cumas36) &lt; sum($cumas34)                         )                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100059</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Importing Percent is incorrect</tns:Short.Description>
          <tns:Detailed.Description>When Main Luxury Car Tax Activity of "Importer" is provided, the Importing Percent must not be lower than the Manufacturing, Wholesale or Retailing percentages</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100059</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:LuxuryCarTax.Activity.Code</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         not($cumas60[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                         and                         $cumas13[. = '$20 million and over']                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100083</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Email Address must be present for GST Turnover Amount of $20 million and over</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100083</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas17[function:IsDate1GreaterThanDate2('2006-07-01', .)]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100085</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Fuel Tax Credits Effective Date must not be before 1 July 2006</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100085</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:FuelTax.RegistrationStart.Date</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas21[function:IsDate1GreaterThanDate2('2000-07-01', .)]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100095</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>PAYG Effective Date must be on or after 01/07/2000</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100095</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc2.02.15:IncomeTax.PayAsYouGoWithholding.RegistrationStart.Date</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas21[not(@i:nil='true')]                         and                         (                           not($cumas24[not(@i:nil='true')])                           or                           sum($cumas25) = 0                           or                           not($cumas26[not(@i:nil='true')])                           or                           not($cumas27[not(@i:nil='true')])                           or                           not($cumas28[not(@i:nil='true')])                           or                           not($cumas29[not(@i:nil='true')])                           or                           not($cumas30[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                           or                           not($cumas31[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                         )                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100096</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Pay as you go (PAYG) details are required</tns:Short.Description>
          <tns:Detailed.Description>When PAYG Effective Date is provided, the Number of Employees, Estimated Annual Amount Withheld (above zero), PAYG Reporting Method to ATO, Payment Summary Provision Method, Investment Body, Industry Code, Main Business Activity and Main Employment Activity details are required</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100096</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc2.02.15:IncomeTax.PayAsYouGoWithholding.RegistrationStart.Date</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas26[not(@i:nil='true') and string-length(.) != 0]                         and                         $cumas26                         [                           . != 'P'                           and                           . != 'E'                           and                           . != 'PE'                         ]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100109</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>PAYG Reporting Method to ATO code is invalid</tns:Short.Description>
          <tns:Detailed.Description>The PAYG Reporting Method to ATO code is not valid. Valid values are; "P" = Paper, "E" = Electronic, "PE" = Paper and Electronic.</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100109</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/pyin.02.24:Lodgment.Channel.Code</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas32[not(@i:nil='true')]                         and                         $cumas32[function:IsDate1GreaterThanDate2('2000-07-01', .)]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100125</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Luxury Car Tax Effective Date must be on or after 01/07/2000</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100125</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:LuxuryCarTax.RegistrationStart.Date</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas32[not(@i:nil='true')]                         and                         (                           not($cumas61[not(@i:nil='true')])                           or                           not($cumas38[not(@i:nil='true')])                           or                           not($cumas39[not(@i:nil='true')])                         )                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100126</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Luxury Car Tax details are required</tns:Short.Description>
          <tns:Detailed.Description>Where Luxury Car Tax Effective Date is present, then Main Luxury Car Tax Activity, Annual Luxury Car Tax Liability Band and Luxury Car Tax on every activity statement are required</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100126</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:LuxuryCarTax.RegistrationStart.Date</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas61[not(@i:nil='true')]                         and                         sum($cumas34|$cumas35|$cumas36|$cumas37) != 100                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100134</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Manufacturing, Wholesale, Importing, and Retailing percentage amounts must equal 100</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100134</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:LuxuryCarTax.Activity.Code</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas61[. = 'Manufacturer']                         and                         (                           sum($cumas34) &lt; sum($cumas36)                           or                           sum($cumas34) &lt; sum($cumas37)                           or                           sum($cumas34) &lt; sum($cumas35)                         )                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100135</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Manufacturing Percent is incorrect</tns:Short.Description>
          <tns:Detailed.Description>When Main Luxury Car Tax Activity of "Manufacturer" is provided, the Manufacturing Percent must not be lower than the Wholesale, Importing or Retailing percentages</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100135</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:LuxuryCarTax.Activity.Code</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas61[. = 'Wholesaler']                         and                         (                           sum($cumas35) &lt; sum($cumas36)                           or                           sum($cumas35) &lt; sum($cumas37)                           or                           sum($cumas35) &lt; sum($cumas34)                         )                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100138</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Wholesale Percent is incorrect</tns:Short.Description>
          <tns:Detailed.Description>When Main Luxury Car Tax Activity of "Wholesaler" is provided, the Wholesale Percent must not be lower than the Manufacturing, Importing or Retailing percentages</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100138</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:LuxuryCarTax.Activity.Code</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas40[not(@i:nil='true')]                         and                         $cumas40[function:IsDate1GreaterThanDate2('2000-07-01', .)]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100148</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Wine Equalisation Tax Effective Date must be on or after 01/07/2000</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100148</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:WineEqualisationTax.RegistrationStart.Date</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         not($cumas9[not(@i:nil='true')])                         and                         (                           $cumas12[not(@i:nil='true')]                           or                           $cumas13[not(@i:nil='true')]                           or                           $cumas14[not(@i:nil='true')]                           or                           $cumas15[not(@i:nil='true')]                           or                           $cumas16[not(@i:nil='true')]                         )                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100200</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>GST Registration type must be provided</tns:Short.Description>
          <tns:Detailed.Description>When GST Registration Type details are provided, GST Registration Type must be present</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100200</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:GoodsAndServicesTax.RegistrationReason.Code</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas61[. = 'Retailer']                         and                         (                           sum($cumas37) &lt; sum($cumas35)                           or                           sum($cumas37) &lt; sum($cumas36)                           or                           sum($cumas37) &lt; sum($cumas34)                         )                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100208</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Retailing Percent is incorrect</tns:Short.Description>
          <tns:Detailed.Description>When Main Luxury Car Tax Activity of "Retailer" is provided, the Retailing Percent must not be lower than the Manufacturing, Wholesale or Importing percentages</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100208</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:LuxuryCarTax.Activity.Code</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas40[not(@i:nil='true')]                         and                         (                           (                             not($cumas42[not(@i:nil='true')])                             and                             not($cumas43[not(@i:nil='true')])                             and                             not($cumas44[not(@i:nil='true')])                             and                             not($cumas45[not(@i:nil='true')])                             and                             not($cumas46[not(@i:nil='true')])                           )                           or                           (                             not($cumas47[not(@i:nil='true')])                             and                             not($cumas48[not(@i:nil='true')])                             and                             not($cumas49[not(@i:nil='true')])                             and                             not($cumas50[not(@i:nil='true')])                           )                         )                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100212</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Wine Equalisation Tax Activity codes and Percentage Amounts must be provided</tns:Short.Description>
          <tns:Detailed.Description>When Wine Equalisation Tax Effective Date is present, Wine Equalisation Tax Activity codes and Percentage amounts must be provided</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100212</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:WineEqualisationTax.RegistrationStart.Date</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas32[not(@i:nil='true')]                         and                         (                           not($cumas61[not(@i:nil='true')])                           or                           (                             not($cumas34[not(@i:nil='true')])                             and                             not($cumas35[not(@i:nil='true')])                             and                             not($cumas36[not(@i:nil='true')])                             and                             not($cumas37[not(@i:nil='true')])                           )                         )                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100213</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Main Luxury Car Tax Activity and Percentage amounts are required when Luxury Car Tax Effective Date is present.</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100213</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:LuxuryCarTax.RegistrationStart.Date</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas40[not(@i:nil='true')]                         and                         sum($cumas47|$cumas48|$cumas49|$cumas50) &gt; 100                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100214</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>The sum of wine equalisation tax percentages must not exceed 100 percent</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100214</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:WineEqualisationTax.RegistrationStart.Date</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         not($cumas12[not(@i:nil='true')])                         and                         not($cumas17[not(@i:nil='true')])                         and                         not($cumas21[not(@i:nil='true')])                         and                         not($cumas32[not(@i:nil='true')])                         and                         not($cumas40[not(@i:nil='true')])                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100231</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>The details of at least one Activity Statement Role Type must be provided</tns:Short.Description>
          <tns:Detailed.Description>The details of at least one Activity Statement Role Type must be provided. The Activity Statement Role Types are; Goods and services tax (GST), Luxury car tax (LCT), Wine equalisation tax (WET), Pay as you go - withholding (PAYG-W), Fuel tax credit (FTC).</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100231</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:GoodsAndServicesTax.RegistrationStart.Date</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:variable name="startDate" select="$RP.Context[1]/xbrli:period/xbrli:startDate"/>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas14[. = 'Annually']                         and                         $cumas12[not(@i:nil='true') and function:IsDate1GreaterThanDate2($startDate, function:AddRemoveMonthsToDate(., 6))]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100238</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>GST Effective Date must not be more than 6 months prior to the current date</tns:Short.Description>
          <tns:Detailed.Description>When the GST Activity Statement Lodgment Frequency of "Annually" is provide, the GST Effective Date must not be more than 6 months prior to the current date</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100238</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:GoodsAndServicesTax.RegistrationStart.Date</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas21[function:IsDate1GreaterThanDate2(function:AddRemoveMonthsToDate(., -6), current-date())]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100239</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>PAYG Effective Date must not be more than 6 months in advance of the current date</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100239</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc2.02.15:IncomeTax.PayAsYouGoWithholding.RegistrationStart.Date</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         not($cumas21[not(@i:nil='true')])                         and                         (                           $cumas24[not(@i:nil='true')]                           or                           $cumas25[not(@i:nil='true')]                           or                           $cumas26[not(@i:nil='true') and string-length(.) != 0]                           or                           $cumas27[not(@i:nil='true') and string-length(.) != 0]                           or                           $cumas28[not(@i:nil='true')]                           or                           $cumas29[not(@i:nil='true') and string-length(.) != 0]                           or                           $cumas30[not(@i:nil='true') and string-length(.) != 0]                           or                           $cumas31[not(@i:nil='true') and string-length(.) != 0]                         )                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100232</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>PAYG Effective Date must be provided</tns:Short.Description>
          <tns:Detailed.Description>When Pay as you go (PAYG) witholding details are present, the PAYG Effective Date must be provided. Pay as you go (PAYG) witholding details include; Number of Employees, Estimated Annual Amount Withheld, PAYG Reporting Method to ATO, Payment Summary Provision Method, Investment Body, Industry Code, Main Business Activity and Main Employment Activity.</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100232</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc2.02.15:IncomeTax.PayAsYouGoWithholding.RegistrationStart.Date</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         not($cumas12[not(@i:nil='true')])                         and                         (                           $cumas9[not(@i:nil='true') and string-length(.) != 0]                           or                           $cumas10[not(@i:nil='true')]                           or                           $cumas13[not(@i:nil='true') and string-length(.) != 0]                           or                           $cumas14[not(@i:nil='true') and string-length(.) != 0]                           or                           $cumas15[not(@i:nil='true')]                           or                           $cumas16[not(@i:nil='true')]                           or                           $cumas60[not(@i:nil='true') and string-length(.) != 0]                         )                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100233</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>GST Effective Date must be provided</tns:Short.Description>
          <tns:Detailed.Description>When Goods and Services Tax (GST) details are present, the GST Effective Date must be provided. Goods and Services Tax (GST) details include; GST Registration Type, Not for Profit Indicator, GST Turnover Amount, GST Activity Statement Lodgment Frequency, GST Accounting Method, Goods Importation Indicator and Email Address.</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100233</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:GoodsAndServicesTax.RegistrationStart.Date</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         not($cumas17[not(@i:nil='true')])                         and                         (                           $cumas19[not(@i:nil='true') and string-length(.) != 0]                           or                           $cumas20[not(@i:nil='true')]                         )                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100234</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Fuel Tax Credits Effective Date must be provided</tns:Short.Description>
          <tns:Detailed.Description>When Fuel Tax Credits (FTC) details are present, the Fuel Tax Credits Effective Date must be provided. Fuel Tax Credits (FTC) details include; Fuel Type and Gross Vehicle Mass Indicator.</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100234</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:FuelTax.RegistrationStart.Date</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         not($cumas32[not(@i:nil='true')])                         and                         (                           $cumas61[not(@i:nil='true') and string-length(.) != 0]                           or                           $cumas34[not(@i:nil='true')]                           or                           $cumas35[not(@i:nil='true')]                           or                           $cumas36[not(@i:nil='true')]                           or                           $cumas37[not(@i:nil='true')]                           or                           $cumas38[not(@i:nil='true') and string-length(.) != 0]                           or                           $cumas39[not(@i:nil='true')]                         )                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100235</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Luxury Car Tax Effective Date must be provided</tns:Short.Description>
          <tns:Detailed.Description>When Luxury Car Tax (LCT) details are present, the Luxury Car Tax Effective Date must be provided. Luxury Car Tax (LCT) details include; Main Luxury Car Tax Activity, Manufacturing Percent, Wholesale Percent, Importing Percent, Retailing Percent, Annual Luxury Car Tax Liability Band and Luxury Car Tax on every activity statement.</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100235</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:LuxuryCarTax.RegistrationStart.Date</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         not($cumas40[not(@i:nil='true')])                         and                         (                           $cumas42[not(@i:nil='true')]                           or                           $cumas43[not(@i:nil='true')]                           or                           $cumas44[not(@i:nil='true')]                           or                           $cumas45[not(@i:nil='true')]                           or                           $cumas46[not(@i:nil='true')]                           or                           $cumas47[not(@i:nil='true')]                           or                           $cumas48[not(@i:nil='true')]                           or                           $cumas49[not(@i:nil='true')]                           or                           $cumas50[not(@i:nil='true')]                         )                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.CUMAS.100236</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Wine Equalisation Tax Effective Date must be provided</tns:Short.Description>
          <tns:Detailed.Description>When Wine Equalisation Tax (WET) details are present, the Wine Equalisation Tax Effective Date must be provided. Wine Equalisation Tax (WET) details include; Wine Equalisation Tax Effective Date, Manufacturing Wine Equalisation Tax Activity, Wholesale Wine Equalisation Tax Activity, Importing Wine Equalisation Tax Activity, Exporter Wine Equalisation Tax Activity, Indirect Marketer Retailer Wine Equalisation Tax Activity, Wine Percentage, Beer Percentage, Spirit Percentage and Other Percentage.</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.CUMAS.100236</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/rvctc3.02.20:WineEqualisationTax.RegistrationStart.Date</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         $cumas58RPTAC                           [                             not(@i:nil='true') and string-length(.) != 0                             and                              matches(.,'^(false|0)$')                           ]                         or                         $cumas58INTTAC                           [                             not(@i:nil='true') and string-length(.) != 0                             and                              matches(.,'^(false|0)$')                           ]                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.410128</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Declaration Statement Accepted Indicator must be 'TRUE'</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.410128</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/pyin.02.00:Declaration.StatementAccepted.Indicator</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         (                           count($INTTAC.Context) = 0                            and                           $cumas54RPTAC[not(@i:nil='true') and string-length(.) != 0]                           and                           not($cumas55RPTAC[not(@i:nil='true') and string-length(.) != 0])                         )                         or                         (                           count($RPTAC.Context) = 0                            and                           $cumas54INTTAC[not(@i:nil='true') and string-length(.) != 0]                           and                           not($cumas55INTTAC[not(@i:nil='true') and string-length(.) != 0])                         )                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500061</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Telephone number is required, if an area code is provided</tns:Short.Description>
          <tns:Detailed.Description>Declarer telephone number is required when Declarer telephone area code is provided</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500061</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/pyde.02.00:ElectronicContact.Telephone.Area.Code</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         (                           count($INTTAC.Context) = 0                            and                           $cumas55RPTAC[not(@i:nil='true') and string-length(.) != 0]                           and                           not($cumas54RPTAC[not(@i:nil='true') and string-length(.) != 0])                         )                         or                         (                           count($RPTAC.Context) = 0                            and                           $cumas55INTTAC[not(@i:nil='true') and string-length(.) != 0]                           and                           not($cumas54INTTAC[not(@i:nil='true') and string-length(.) != 0])                         )                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.500062</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Area code is required, if a Telephone number is provided</tns:Short.Description>
          <tns:Detailed.Description>Declarer daytime phone area code is required when Declarer daytime phone number is provided</tns:Detailed.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500062</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
                <xsl:text>/pyde.02.00:ElectronicContact.Telephone.Area.Code</xsl:text>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M61"/>
  </xsl:template>

  <!--
            RULE -->
  <xsl:template match="xbrli:xbrl/pyin.02.00:Declaration.Signature.Date[not(@i:nil='true') and string-length(.) != 0]" priority="1000" mode="M61">

    <!--
            ASSERT -->
    <xsl:choose>
      <xsl:when test="not(                         function:IsDate1GreaterThanDate2(., current-date())                      )"/>
      <xsl:otherwise>
        <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02">
          <tns:Error.Code>CMN.ATO.GEN.430255</tns:Error.Code>
          <tns:Severity.Code>Error</tns:Severity.Code>
          <tns:Short.Description>Signature date must not be later than today</tns:Short.Description>
          <tns:Parameters>
            <tns:Parameter>
              <tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier>
              <tns:Parameter.Text>VR.ATO.GEN.500066</tns:Parameter.Text>
            </tns:Parameter>
          </tns:Parameters>
          <tns:Locations>
            <tns:Location>
              <tns:Location.Instance.Identifier>
                <xsl:value-of select="$document-id"/>
              </tns:Location.Instance.Identifier>
              <tns:Location.Path.Text>
                <xsl:apply-templates select="." mode="schematron-get-full-path-2"/>
              </tns:Location.Path.Text>
            </tns:Location>
          </tns:Locations>
        </tns:EventItem>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="*" mode="M61"/>
  </xsl:template>
  <xsl:template match="text()" priority="-1" mode="M61"/>
  <xsl:template match="@*|node()" priority="-2" mode="M61">
    <xsl:apply-templates select="*" mode="M61"/>
  </xsl:template>
</xsl:stylesheet>